<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$login_changes_functions = "";
//Стили визуального редактора подключаемые на странице
//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'

// Массив функцій, котрі використовуються ще і у файлі /functions/admin_settings.php
	$solass_wp_spisok_function = array( 
	'feed_links_extra' => esc_html__( 'посилання на rss категорії', 'solass-wp'),
	'feed_links' => esc_html__( 'посилання на основний rss та коментарі', 'solass-wp'),
	'rsd_link' => esc_html__( 'сервіс Really Simple Discovery', 'solass-wp'),
	'wlwmanifest_link' => 'Windows Live Writer',
	'wp_generator' => esc_html__( 'показ версії WordPress', 'solass-wp'),
	'pagenavi_css' => esc_html__( 'css плагіна WP-PageNavi', 'solass-wp'),
	);

add_action( 'admin_enqueue_scripts', function() {
//    wp_enqueue_style( 'dashicons' );
} ); 

// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_page_building_functions() { 
global $login_changes_functions, $plugin_name, $plugin_dir_url, $mce_css, $solass_wp_spisok_function;

//Выводим сообщение на странице  type = notice-success, notice-error, notice-warning, notice-info, 
// solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'n', 'close' => '1', 'text' => 'Просто тестируем')); 

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	add_action('mce_css', 'solass_plugin_add_editor_style');
?>
  <div class="wrap <?php echo dirname(plugin_basename(__FILE__),2); ?>" style="margin-right: 8%">
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form method="post" action="options.php">
	<input type="hidden" name="save_solass_wp_functions" value="1">
      <?php
        settings_fields( 'solass-wp-settings-functions' );
        do_settings_sections( 'solass-wp-settings-functions' );
      ?>
<table class="form-table" border=0>
<?php if(isset($shapka_page)): ?>
		 <tr>
          <td style="padding-right: 30%">
			  <?php echo __( '<strong>Плагін SOLASS WPSettings</strong> створений студією дизайну <a href="https://solass.com.ua/" target="_blank">дизайн студією «SOLASS»</a>. Основні функції плагіну - це налаштування системи адміністрування WordPress для подальшого її безпечного використання. Також у плагін SOLASS WPSettings додани можливості зміни дизайну елементів системи та удосконалення їх функціоналу. <br><em>Ми дуже сподіваємось що наш плагін допоможе вам працювати у  WordPress з комфортом та насолодую!</em>', 'solass-wp'); ?>
		 </td>
        </tr>
		 <tr><td><hr></td></tr>
<?php endif; ?>
<tr><td style="padding: 0 20px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Додавання SVG-файлів до медіабібліотеки', 'solass-wp' ); ?></h3></td>
</tr>
</table>
<table class="form-table" border=0>
<tr class="display-block">
<td>
<table>
	<tr style=""> 
		<th scope="row" class="align-right vertical-" style="padding-left: 10px; vertical-align: middle; border-left: 4px solid <?php if(esc_attr( get_option( 'solass_wp_load_svg', '' ) )) { echo 'rgba(0,0,0,0.1)'; } else {  echo '#eb6608'; } ?>;"><label><?php echo sprintf(esc_html__( 'Включити роботу %sз SVG-файлами', 'solass-wp'), '</br>'); ?></label></th>
		<td class="vertical-top-"><div style="width: 200px"></div>
			<div style="/*text-align: center;*/">
				<label class="switch">
				<input id="solass_wp_load_svg" name="solass_wp_load_svg" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_load_svg', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
<!--			<div class="margin-top-15" style="max-width: 70%"><small><br><br></small></div> -->
		</td>
		<td class="vertical-top-" colspan=2><div style="width: 200px"></div>
			<div class="margin-top-15-" style="max-width: 70%"><small><em><strong><?php echo esc_html__( 'За замовчуванням WordPress не дозволяє завантажувати векторний формат файлів SVG із погляду безпеки сайту.  ', 'solass-wp'); ?></strong></em><br>
<?php echo esc_html__( 'Включення цієї функції робить можливим завантажувати svg-файли до медіабібліотеки для подальшого використання їх у дизайну та на сторінках сайту. Функція має базові установки роботи з csv-файлами у системі. Функція робить зміни у завантажуваємих файлах для їх показів у мініатюрах сайту і на сторінках сайту за замовчуванням. ', 'solass-wp'); ?> <hr>
<strong></strong><code><?php echo esc_html__( 'Функція плагіну містить код очистки svg-файлу від потенційно небезпечних інтегрованих кодів.', 'solass-wp'); ?></code> </small>
</div>
</tr> 

<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування ключу API для Google карт', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_google_map_api"><?php echo esc_html__( 'Ключ API для Google карт', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<input type="text" id="solass_wp_google_map_api" name="solass_wp_google_map_api" value="<?php echo esc_attr( get_option( 'solass_wp_google_map_api', '' ) ); ?>" style="width: 100%">
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Вкажіть ключ API для встановлення та керування Google картами на сайті.', 'solass-wp'); ?><br>
			<a href="//developers.google.com/maps/documentation/javascript/get-api-key" target=_blank><?php echo esc_html__( 'Дізнайтесь як отримати ключ API', 'solass-wp'); ?></a> <?php echo esc_html__( 'на сторінці документації по створенню Google Карт.', 'solass-wp'); ?><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo sprintf(esc_html__( 'Підключити %sключ API %sдля плагіну ACF', 'solass-wp'), '</br>', '</br>'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_google_map_api_acf" name="solass_wp_google_map_api_acf" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_google_map_api_acf', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Використати вказаний ключ API для функції виводу карти у плагіну ACF', 'solass-wp'); ?><br><br></small></div>
</tr>


<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування додаткових функцій системи адміністрування', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Мініатюри у списку', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<?php 
				$spisok_post = "";
				$post_types = get_post_types(array( 'public' => true ));
				unset( $post_types[ 'attachment' ] );
				foreach ($post_types as $post_type) { 
				if(esc_attr( get_option( 'solass_wp_'.$post_type, '' ) )) { $post_types_checked = "checked='checked'"; } else { $post_types_checked = ""; }
				$spisok_post = $spisok_post."
				<label for='solass_wp_{$post_type}' style='white-space: nowrap; margin-right: 30px; padding-top: 10px;'><input id='solass_wp_{$post_type}' name='solass_wp_{$post_type}' type='checkbox' {$post_types_checked}> {$post_type}</label>";
				}
				echo $spisok_post . '<br>';
				?>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Включіть показ мініатюр у списках для вибраних типів сторінок.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Фільтр таксономій', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<?php 
				$spisok_post = "";
				$post_types = get_post_types(array( 'public' => true, )); // '_builtin' => true
				unset( $post_types[ 'attachment' ] ); unset( $post_types[ 'page' ] );
				foreach ($post_types as $post_type) { 
				if(esc_attr( get_option( 'solass_wp_filter_'.$post_type, '' ) )) { $post_types_checked = "checked='checked'"; } else { $post_types_checked = ""; }
				$spisok_post = $spisok_post."
				<label for='solass_wp_filter_{$post_type}' style='white-space: nowrap; margin-right: 30px; padding-top: 10px;'><input id='solass_wp_filter_{$post_type}' name='solass_wp_filter_{$post_type}' type='checkbox' {$post_types_checked}> {$post_type}</label>";
				}
				echo $spisok_post . '<br>';
				?>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Включіть фільтри таксономій для списків вибранних типів сторінок.', 'solass-wp'); ?><br><br></small></div>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Пошук категорій постів', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_on_post_category_filter" name="solass_wp_on_post_category_filter" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_on_post_category_filter', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Включення швидкого пошуку для вибору категорій на сторінці редагування посту.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'PHP код у віджетах', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_php_in_widgets" name="solass_wp_php_in_widgets" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_php_in_widgets', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Можливість виконання PHP коду у <a href="widgets.php" target=_blank>віджеті</a> текстового редактору. <br>Іноді може визивати спрацювання антивірусів у деяких браузерах.', 'solass-wp'); ?><br><br></small></div>
	</td>

</tr>
<tr>
		<th scope="row" class="align-right"><label for="swp_custom_display_sidebar_id"><?php echo esc_html__( 'Показ шорткоду сайдбару', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="swp_custom_display_sidebar_id" name="swp_custom_display_sidebar_id" type="checkbox" <?php if(esc_attr( get_option( 'swp_custom_display_sidebar_id', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Вмикає відображення шорткодів за ID для сайдбарів на <a href="widgets.php" target=_blank>сторінці віджетів</a>.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Класичний вид віджетів', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_old_widgets" name="solass_wp_old_widgets" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_old_widgets', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Включіть для відображення <a href="widgets.php" target=_blank>віджетів</a> з класичним дизайном та функціоналом.', 'solass-wp'); ?><br><br></small></div>
	</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Показ URL плагінів', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_url_plagins" name="solass_wp_url_plagins" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_url_plagins', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Включіть показ URL встановленних плагінів який виводеться у <a href="plugins.php" target=_blank>списку плагінів</a>', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_disable_update_info"><?php echo esc_html__( 'Відключення "агресивної" перевірки оновлень', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_disable_update_info" name="solass_wp_disable_update_info" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_disable_update_info', false ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Функція вимикає "агресивну" перевірку оновлень в адмін панелі, при цьому залишається перевірка по cron, та на сторінках оновлення. За рахунок цього значно прискорюється робота адмін-панелі.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>


<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Створення власних мініатюр зображень', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Розміри мініатюр', 'solass-wp'); ?></label></th>
		<td class="vertical-top" colspan=3><div style="width: 200px"></div>
			<div>
<?php 
$prew_size_arrey = get_option( 'solass_custom_prew_size', '' ); 
$number_tab = 0;
?>
<div class="move_container" id="move_container_no">
<input type="hidden" name="solass_custom_prew_size">
<?php 
	if($prew_size_arrey){
	foreach ( $prew_size_arrey as $key => $tab ) { 
	$number_tab = $number_tab + 1;
	if( isset($tab['hide']) ) { $prozrachnost = 'style="opacity: 0.5;"'; } else { $prozrachnost = ''; } 
	$tab['id'] = str_replace(" ", "_", $tab['id']);
	
	if(!$tab['close'] && $tab['id']) {
?>
<div class="info_position select_page no_move" <?php echo $prozrachnost;?>>
<label for='solass_custom_prew_size[<?php echo $number_tab;?>][hide]' style='padding: 0 20px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input id='solass_custom_prew_size[<?php echo $number_tab;?>][hide]' name='solass_custom_prew_size[<?php echo $number_tab;?>][hide]' type='checkbox' <?php if(isset($tab['hide'])) { echo "checked='checked'"; } ?>></label>
<div><div class="tripoint"><small><?php echo esc_html__( 'ID мініатюри', 'solass-wp'); ?> *</small></div><input type="text" var="tabs_id" name="solass_custom_prew_size[<?php echo $number_tab;?>][id]" value="<?php  echo esc_attr( solass_wp_translit($tab['id']) ); ?>"></div>
<div><div class="tripoint" style="width: 100%"><small><?php echo esc_html__( 'Назва мініатюри у списку', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab;?>][name]" value="<?php echo $tab['name'];?>"></div>
<div><div class="tripoint"><small><?php echo esc_html__( 'Ширина', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab;?>][width]" value="<?php echo $tab['width'];?>"></div> 
<div><div class="tripoint"><small><?php echo esc_html__( 'Висота', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab;?>][height]" value="<?php echo $tab['height'];?>"></div> 
<label for='solass_custom_prew_size[<?php echo $number_tab;?>][cute]' style=''><small><?php echo esc_html__( 'Обрізати', 'solass-wp'); ?></small><input id="solass_custom_prew_size[<?php echo $number_tab;?>][cute]" name='solass_custom_prew_size[<?php echo $number_tab;?>][cute]' type='checkbox' <?php if(isset($tab['cute'])) { echo "checked='checked'"; } ?>></label>
<div but="del_korzina"><div><small><?php echo esc_html__( 'Del', 'solass-wp'); ?></small></div><div class="del_korzina new_tab_korzina" title="<?php echo esc_html__( 'Delete' ); ?>"></div></div>
<input type="hidden" var="del_tab" name="solass_custom_prew_size[<?php echo $number_tab;?>][close]" value="">
</div>
<?php 
	} 
}
}
?>
<div class="info_position select_page new_tab no_move"><label for='solass_custom_prew_size[<?php echo $number_tab+1;?>][hide]' style='padding: 0 20px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input id="solass_custom_prew_size[<?php echo $number_tab+1;?>][hide]" name='solass_custom_prew_size[<?php echo $number_tab+1;?>][hide]' type='checkbox'></label>
<div><div class="tripoint"><small><?php echo esc_html__( 'ID мініатюри', 'solass-wp'); ?> *</small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab+1;?>][id]" value=""></div>
<div><div class="tripoint" style="width: 100%"><small><?php echo esc_html__( 'Назва мініатюри у списку', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab+1;?>][name]" value=""></div>
<div><div class="tripoint"><small><?php echo esc_html__( 'Ширина', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab+1;?>][width]" value=""></div> 
<div><div class="tripoint"><small><?php echo esc_html__( 'Висота', 'solass-wp'); ?></small></div><input type="text" name="solass_custom_prew_size[<?php echo $number_tab+1;?>][height]" value=""></div> 
<label for='solass_custom_prew_size[<?php echo $number_tab+1;?>][cute]' style=''><small><?php echo esc_html__( 'Обрізати', 'solass-wp'); ?></small><input id="solass_custom_prew_size[<?php echo $number_tab+1;?>][cute]" name='solass_custom_prew_size[<?php echo $number_tab+1;?>][cute]' type='checkbox' checked='checked'></label>
<div but="del_korzina"><div><small><?php echo esc_html__( 'Del', 'solass-wp'); ?></small></div><div class="del_korzina new_tab_korzina" title="<?php echo esc_html__( 'Delete' ); ?>"></div></div>
<input type="hidden" var="new_close" name="solass_custom_prew_size[<?php echo $number_tab+1;?>][close]" value="1">
</div>

</div>

<div class="info_position select_page new_tab_button">
<div><span>&nbsp;</span><br><input class="button button-primary-" type="button" value="<?php echo esc_html__( 'Додати новий розмір мініатюр', 'solass-wp'); ?>"></div>
</div>

</div>
<div class="margin-top-15" style="max-width: 60%">
	<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top">
					<div class="swp-tooltip-inner">
						<strong><?php echo esc_html__( '* ID сайдбару обов`язкове для заповнення.', 'solass-wp'); ?></strong> <br><br>
						<?php echo esc_html__( 'Розміри висоти чи ширини мають бути вказані числовими значеннями, або використовуємі у css ("auto" та ін.). Без заповнення "Назва мініатюри у списку" розмір не буде показаний при виборі зображення для додавання на сторінку.', 'solass-wp'); ?> <br>
						<?php echo esc_html__( 'Якщо буде вказано "Обрізати" зображення, то воно заповнить повністю вказаний розмір, а лишнє буде зарізано. Якщо це значення не вказано, то зображення буде просто зменьшене до розмірів мініатюри.', 'solass-wp'); ?>
					</div>
				</div>
	</div>
<small><?php echo esc_html__( 'Функція дає можливість додати персональні розміри мініатюр для завантажуємих зображень у медіафайли. Надалі ви зможете вибирати та використовувати ці оброблені зображення для виводу на сторінках сайту.', 'solass-wp'); ?> <br><br></small></div>
		</td>
</tr>


<tr><td colspan=4 style="padding: 15px 15px 0px;"><hr></td></tr>
<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Зображеня для таксономій', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_term_image"><?php echo esc_html__( 'Зображення для категорій', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_term_image" name="solass_wp_term_image" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_term_image', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span></label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Увімкніть для можливості додавання зображення у категоріях постів', 'solass-wp'); ?><br><br></small></div>
		</td>

		<th scope="row" class="align-right"><label for="solass_wp_tag_image"><?php echo esc_html__( 'Зображення для міток', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_tag_image" name="solass_wp_tag_image" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_tag_image', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Увімкніть щоб додавати зображення для міток постів', 'solass-wp'); ?><br><br></small></div>
		</td>

</tr>



<tr><td colspan=4 style="padding: 15px 15px 0px;"><hr></td></tr>
<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Відключення скриптів та файлів стилів плагіну Contact Form 7', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Відключити', 'solass-wp'); ?> <br><?php echo __( 'скрипти та стилі', 'solass-wp'); ?> <br>Contact Form 7<br>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top" style="width: 350px">
					<div class="swp-tooltip-inner">
						<?php echo esc_html__( 'Визначення присутності форми виконується автоматично і можливі не значні помилки. Коригування помилок відключень можливо за допомогою сусідньої форми сторінок-виключень.', 'solass-wp'); ?> <br><?php echo esc_html__( 'Автоматичне визначення виконується з урахуванням особливостей плагінів: Elementor, WooCommerce та ACF.', 'solass-wp'); ?> <br><strong><em><?php echo esc_html__( 'Функція не гарантує 100% відключення кодів і не враховує шорткоди плагіну встановлені ззовні контентної частини.', 'solass-wp'); ?></em></strong>
					</div>
				</div>
			</div></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_disable_cf7" name="solass_wp_disable_cf7" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_disable_cf7', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Відключення скриптів та стилів плагіну Contact Form 7 на сторінках де в контенті не виводиться форма відправки пошти.', 'solass-wp'); ?> <br><br></small></div>
		</td>

		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Виводити скрипти', 'solass-wp'); ?> <br><span class="nowrap">Contact Form 7</span> <br><?php echo esc_html__( 'для сторінок', 'solass-wp'); ?>:</label><br>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top" style="width: 350px">
					<div class="swp-tooltip-inner">
						<strong><?php echo esc_html__( 'Дізнатись ярлик (slug) ви можете з url-посилання сторінки, де останньою фразою і буде потрібний ярлик:', 'solass-wp'); ?></strong> <br><br>
						<code><?php echo site_url(); ?>/***/<span style="background-color: #000; color: #fff">your-page-slug</span>/</code><br>
					</div>
				</div>
			</div>
	</th> 
<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_off_disable_cf7"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "multy_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "key"; //page post key taxonomy-NAME-napisat(product_cat или category)
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
}
	}
	if( $type_input == "one_page" && !$solass_wp_id_input) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button add-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && $solass_wp_id_page) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 90%">
<small><?php echo esc_html__( 'Вкажіть перелік ярликів (slug) сторінок для яких не потрібно виключати стилі та скрипти плагіну Contact Form 7.', 'solass-wp'); ?><br><br></small></div>
</td>

</tr>


<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Відключення зайвих функцій, завантаження файлів скриптів та стилів', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Відключення функції що рідко використовуються', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div><input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_on_spisok_functions"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" value="" />
				<input type="hidden" id="<?php echo $var_solass_wp_arr."[first_save]"; ?>" name="<?php echo $var_solass_wp_arr."[first_save]"; ?>" class="arr_input" value="save" />
				<?php 
				$spisok_functions = "";
				$on_spisok_functions = get_option( $var_solass_wp_arr, '' );
				foreach ($solass_wp_spisok_function as $swp_function => $swp_function_title) { 
				$swp_function_val = null;
				$swp_function_val = $on_spisok_functions[$swp_function];
				if((isset($swp_function_val) && !$on_spisok_functions['first_save']) || $swp_function_val) { $funcs_checked = "checked='checked'"; } else { $funcs_checked = ""; }
				$spisok_functions = $spisok_functions."
				<label for='{$var_solass_wp_arr}[{$swp_function}]' style='white-space: nowrap; margin-right: 30px; padding-top: 10px;'><input id='{$var_solass_wp_arr}[{$swp_function}]' name='{$var_solass_wp_arr}[{$swp_function}]' type='checkbox' {$funcs_checked}> {$swp_function_title}</label><br>";
				}
				echo $spisok_functions . '<br>';
				?>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Ці функції дуже рідко використовуються, тому ви можете їх відключити, щоб не сповільнювати роботу сайту.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Відключення', 'solass-wp'); ?> <br>REST API, WP-json</label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch"> 
				<input id="solass_wp_rest_api" name="solass_wp_rest_api" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_rest_api', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'REST API зазвичай використовується для великих проектів для зв`язку різних API між собою.', 'solass-wp'); ?> <br><?php echo esc_html__( 'Відключення може вплинути на роботу деяких тем, або плагінів, які потребують зв`язок та обмін данними з іншими сайтами.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>

<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo esc_html__( 'Блокування перегляду', 'solass-wp'); ?> <br><?php echo esc_html__( 'RSS-стрічок', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_rss_off" name="solass_wp_rss_off" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_rss_off', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Функція блокує перегляд rss-стрічок сайту.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Відключення srcset та sizes', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_srcset" name="solass_wp_del_srcset" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_srcset', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Для зменьшення розміру html-коду сайту функція спрощує та чисте зайві описи розмірів зображень.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>

<tr>

<th scope="row" class="align-right" style="padding-top: 14px"><label for=""><?php echo __( 'Файли стилів <br>для відключення <br><small style="font-weight: normal;"><em>(ідентифікатор)<em></small>', 'solass-wp'); ?></label><br>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top">
					<div class="swp-tooltip-inner">
						<strong><?php echo esc_html__( 'Приклад:', 'solass-wp'); ?></strong> <br>
<code>&lt;link rel='stylesheet' id='<span style="background-color: #000; color: #fff">your-css-ID</span>-css' href='<?php echo site_url(); ?>/***/style_name.css'></code><br><br>
						<strong><?php echo esc_html__( 'Найчастіше відключають:', 'solass-wp'); ?></strong> <br>
						wp-block-library <em>- <?php echo esc_html__( 'стилі Gutenberg во фронтенді', 'solass-wp'); ?></em><br>
						font-awesome <em>- <?php echo esc_html__( 'іконки Font Awesome', 'solass-wp'); ?></em>
					</div>
				</div>
			</div>
</th> 
<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_spisok_off_css"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "multy_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "key"; //page post key taxonomy-NAME-napisat(product_cat или category)
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
}
	}
	if( $type_input == "one_page" && !$solass_wp_id_input) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button add-button solass_wp_add_input_var"><?php echo esc_html__( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && $solass_wp_id_page) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 90%">
<small><?php echo esc_html__( 'Додайте до списку відключення ідентифікатори файлів стилів (id="***-css" без "-css" ), котрі ви хочете відключити.', 'solass-wp'); ?><br><br></small></div>
</td>

		<th scope="row" class="align-right" style="padding-top: 14px"><label for=""><?php echo __( 'Файли скриптів <br>для відключення <br><small style="font-weight: normal;"><em>(ідентифікатор)<em></small>', 'solass-wp'); ?></label><br>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top">
					<div class="swp-tooltip-inner">
						<strong><?php echo esc_html__( 'Приклад:', 'solass-wp'); ?></strong> <br>
<code>&lt;script type='text/javascript' id='<span style="background-color: #000; color: #fff">your-javascript-ID</span>-js' href='<?php echo site_url(); ?>/***/script_name.js'></code><br><br>
						<strong><?php echo esc_html__( 'Найчастіше відключають:', 'solass-wp'); ?></strong> <br>
						googlemapapis <em>- <?php echo esc_html__( 'скрипт коду карт Google', 'solass-wp'); ?></em><!--<br>-->
					</div>
				</div>
			</div>
		</th> 
<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_spisok_off_script"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "multy_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "key"; //page post key taxonomy-NAME-napisat(product_cat или category)
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
}
	}
	if( $type_input == "one_page" && !$solass_wp_id_input) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button add-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && $solass_wp_id_page) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 90%">
<small><?php echo esc_html__( 'Додайте до списку відключення ідентифікатори файлів скриптів (id="***-js" без "-js" ), котрі ви хочете відключити.', 'solass-wp'); ?><br><br></small></div>
</td>

</tr>

<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування інформаційних повідомлень', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вимкнути всі адмін-нотатки', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_disable_all_notices" name="solass_wp_disable_all_notices" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_disable_all_notices', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Ви можете вимкнути ВСІ Адмін-нотатки на всіх сторінках админ-системи. <em><strong><code>!!!УВАГА!!!</code> Вимкнувши всі повідомлення ви не зможете бачити важливі для вас і системи повідомлення.</strong></em>', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Вимкнути сповіщення про оновлення плагінів', 'solass-wp'); ?></label></th> 
		<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_plugin_not_update"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "multy_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "active_plugins"; //page post key taxonomy-NAME-napisat(product_cat или category) для списка плагинов - active_plugins
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
if($solass_wp_post_type == "active_plugins") { 
		$plugins = get_plugins();
		foreach ($plugins as $plugin_file => $plugin_data) {
    		$plugin_path = plugin_basename( $plugin_file );
			if($plugin_path == $solass_wp_id_page) {  
			echo '<li class="solass_wp_select_form_choice" title="'.$plugin_data['Name'].'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$plugin_data['Name'].'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$plugin_path.'"></li>'; 
			}
		}
 } else { 
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 

 }
}
	}
	if( $type_input == "one_page" && !$solass_wp_id_input) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo esc_html__( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && $solass_wp_id_page) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Виберіть назви плагінів щоб відключити сповіщення про їх оновлення. <br><em><strong>Пам`ятайте що застарілі версії плагінів порушують безпеку сайту.</strong></em>', 'solass-wp'); ?><br><br></small></div>
</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вимкнути повідомлення не активних плагінів', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_notice_off_plugins" name="solass_wp_notice_off_plugins" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_notice_off_plugins', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Виключіть сповіщення про оновлення всіх не активних плагінів. <br><em><strong>Для безпеки сайту, неактивні плагіни краще видалити.</strong></em>', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Вимкнути повідомлення про оновлення ВСІХ плагінів', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_hide_update_plugins" name="solass_wp_hide_update_plugins" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_hide_update_plugins', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Виключіть сповіщення про оновлення всіх встановлених плагінів. <br><em><strong>Пам`ятайте що застарілі плагіни можуть порушити безпеку сайту.</strong></em>', 'solass-wp'); ?><br><br></small></div>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вимкнути повідомлення про оновлення тем', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_hide_update_themes" name="solass_wp_hide_update_themes" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_hide_update_themes', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Виключіть сповіщення про оновлення всіх тем/шаблоныв дизайну завантажених в систему. <br><em><strong>Пам`ятайте що застарілі файли активних тем можуть порушити безпеку сайту.</strong></em>', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Вимкнути повідомлення про оновлення WordPress', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_hide_update" name="solass_wp_hide_update" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_hide_update', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Виключіть сповіщення про оновлення системи адміністрування WordPress. <br><em><strong>Пам`ятайте що застаріла версія файлів системи WordPress робить сайт не безпечним для взлому.</strong></em>', 'solass-wp'); ?><br><br></small></div>
</tr>
<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Функції для розробників', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_min_php"><?php echo esc_html__( 'Мін. параметри PHP', 'solass-wp'); ?></label><br>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top">
					<div class="swp-tooltip-inner">
						<strong><?php echo sprintf(esc_html__( 'Параметри PHP необхідні для роботи %sбільшості сайтів на WordPress:', 'solass-wp'), '</br>'); ?></strong> <br>
						<?php echo sprintf(esc_html__( 'Макс. ліміт пам`яті: 256МВ; %sМакс. розмір завантажуємих файлів: 128МВ; %sМакс. розмір POST даних: 128МВ; %sЧас виконання скриптів: 300сек', 'solass-wp'), '</br>', '</br>', '</br>'); ?><br><br>
						<?php echo __( '<strong>!!! ВАЖЛИВО ПАМ`ЯТАТИ !!!</strong> Зміни будуть застосовані лише в межах одного запиту HTTP. Щоб змінені параметри діяли глобально і постійно, необхідно змінити конфігурацію PHP безпосередньо на сервері (наприклад, php.ini) або через .htaccess для Apache.', 'solass-wp'); ?>
					</div>
				</div>
				</div>
	</th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_min_php" name="solass_wp_min_php" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_min_php', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span></label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Встановлені параметри PHP:', 'solass-wp'); ?><br>
		<?php if(esc_attr( get_option( 'solass_wp_min_php', '' ) )) { 
		echo __( 'Ліміт пам`яті: 256МВ; <br>Макс. файли: 128МВ; <br>Час виконання: 300сек', 'solass-wp'); 
		} else {
		echo __( 'Ліміт пам`яті: '.ini_get('memory_limit').'В; <br>Макс. файли: '.ini_get('upload_max_filesize').'В; <br>Час виконання: '.ini_get('max_execution_time').'сек', 'solass-wp'); 
		} ?>
		<br><br></small></div>
		</td>

		<th scope="row" class="align-right"><label for="solass_wp_debug"><?php echo esc_html__( 'Виводити помилки коду', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_debug" name="solass_wp_debug" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_debug', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Включається вивід помилок у коді сторінки - аналог WP_DEBUG що находиться у файлі <span style="white-space: nowrap;">wp-config.php</span>', 'solass-wp'); ?><br><br></small></div>
		</td>

</tr>

<tr>
		<th scope="row" class="align-right"><label for="solass_wp_hooks_list"><?php echo esc_html__( 'Списки хуків на сторінці', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_hooks_list" name="solass_wp_hooks_list" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_hooks_list', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Виводить внизу сторінки звернутий список хуків що запускаються на сторінці сайту', 'solass-wp'); ?><br><br></small></div>
		</td>

		<th scope="row" class="align-right"><label for=""></label></th>
		<td class="vertical-top"><div style="width: 200px"></div></td>

</tr>



</table>
</td>
<td class="vertical-top">
<table>
<tr>
		<th scope="row" class="align-right"><label for=""><?php if($login_changes_functions) { echo esc_html__( 'Виконані операції:', 'solass-wp'); } ?></label></th>
		<td class="vertical-top" rowspan=5><div style="width: 200px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".$login_changes_functions."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>

<br>
      <?php submit_button(); ?>
	<footer class="submit_footer" style="display: flex;"> <?php submit_button(); ?> 
	<div style="margin-left: 50px">
	<div class="valign_text"><em><?php echo esc_html__( 'Внесені зміни збережуться тільки після натискання на кнопку.', 'solass-wp'); ?></em></div>
	</div></footer>
    </form>
  </div>
<?php 

// Включаем редактор-кода для textarea
// text/html, text/css, application/javascript, application/x-httpd-php
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_google_analytics', 'type_editor' => 'text/html')); 
}