<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$login_changes_safe = "";
//Стили визуального редактора подключаемые на странице
//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'


// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_page_building_safe() { 
global $login_changes_safe, $plugin_name, $plugin_dir_url, $mce_css;

//Выводим сообщение на странице  type = notice-success, notice-error, notice-warning, notice-info, 
// solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'n', 'close' => '1', 'text' => 'Просто тестируем')); 

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	add_action('mce_css', 'solass_plugin_add_editor_style');
?>
  <div class="wrap <?php echo dirname(plugin_basename(__FILE__),2); ?>" style="margin-right: 8%">
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form id="ajax_form" method="post" action="options.php">
	<input type="hidden" name="save_solass_wp_safe" value="1">
      <?php
        settings_fields( 'solass-wp-settings-safe' );
        do_settings_sections( 'solass-wp-settings-safe' );
      ?>

<table class="form-table" border=0>
<?php if(!empty($shapka_page)): ?>
		 <tr>
          <td style="padding-right: 30%">
			  <?php echo __( '<strong>Плагін SOLASS WPSettings</strong> створений студією дизайну <a href="https://solass.com.ua/" target="_blank">дизайн студією «SOLASS»</a>. Основні функції плагіну - це налаштування системи адміністрування WordPress для подальшого її безпечного використання. Також у плагін SOLASS WPSettings додани можливості зміни дизайну елементів системи та удосконалення їх функціоналу. <br><em>Ми дуже сподіваємось що наш плагін допоможе вам працювати у  WordPress з комфортом та насолодую!</em>', 'solass-wp'); ?>
		 </td>
        </tr>
		 <tr><td><hr></td></tr>
<?php endif; ?>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування входу в админ-панель сайту', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
<table class="form-table" border=0>
<tr class="display-block">
<td>
<table>
<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_login_url" class="nowrap"><?php echo get_home_url()."/"; ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<input type="text" style="width: 100%" name="solass_wp_login_url" id="solass_wp_login_url" value="<?php echo esc_attr( get_option( 'solass_wp_login_url', '' ) ); ?>" /><br>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( '<strong>Спростіть URL-адресу входу</strong> в адмін-панель (старий - wp-login.php) на скорочений. ', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_custom_login"><?php if( esc_attr(get_option('solass_wp_login_url', '' )) ) echo sprintf(esc_html__( 'Зміна URL сторінки входу', 'solass-wp'), '<br>'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<?php if( esc_attr(get_option('solass_wp_login_url', '' )) ) { ?>
			<div>
				<label class="switch">
				<input id="solass_wp_custom_login" name="solass_wp_custom_login" type="checkbox" <?php if( esc_attr(get_option('solass_wp_custom_login', '' )) ) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 90%"><small><?php echo sprintf( esc_html__( 'Заміна адреси сторінки входу у адмін-систему на %s та скриття старих посилань. Функція частково захищає сайт від хакерських спроб підібрати пароль.', 'solass-wp'), "<a href='".get_home_url()."/".get_option( 'solass_wp_login_url', '' )."' target=_blank>".get_home_url()."/".get_option( 'solass_wp_login_url', '' )."</a>" ); ?><br><br></small></div>
			<?php } ?>
		</td>
</tr>
<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_send_login_number" class="nowrap"><?php echo sprintf( __( 'Кількість спроб залогінитись', 'solass-wp'), '<br>', '<span style="white-space: nowrap;">', '</span>'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<input type="number" style="width: 100%" name="solass_wp_send_login_number" id="solass_wp_send_login_number" value="<?php echo esc_attr( get_option( 'solass_wp_send_login_number', '' ) ); ?>" /><br>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Вкажіть кількість не вдалих спроб залогінитись після яких користувач буде заблокований на 15 хвилин.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_site_key_google"><?php echo sprintf( __( 'Ключ сайту для %sGoogle reCAPTCHA 3%s', 'solass-wp'), '<span style="white-space: nowrap;">', '</span>'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
		<input type="text" style="width: 100%" name="solass_wp_site_key_google" id="solass_wp_site_key_google" value="<?php echo esc_attr( get_option( 'solass_wp_site_key_google', '' ) ); ?>" /><br>
<div class="margin-top-15" style="max-width: 90%"><small><?php echo sprintf( esc_html__( 'Вкажіть ключ сайту для Google reCAPTCHA щоб встановити захист від ботів на форму входу у адмін систему. Ключ можна отримати в консолі %sGoogle Cloud%s', 'solass-wp'), '<a href="https://console.cloud.google.com/security/recaptcha" target=_blank>', '</a>' ); ?><br><br></small></div>
		</td>
</tr>


<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування функцій безпеки сайту', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo sprintf(esc_html__( 'Видалення %s вразливих файлів', 'solass-wp'), '<br>'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_readme" name="solass_wp_del_readme" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_readme', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Видаленння вразливих файлів license.txt та readme.html для убезпечення сайту', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Видалення логіну автора', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_autor_login" name="solass_wp_del_autor_login" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_autor_login', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Видаленння логіну автора зі списків новин, записів та ін.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>
<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo esc_html__( 'Видалення XML-RPC Pingback', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_xml_rpc" name="solass_wp_del_xml_rpc" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_xml_rpc', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Видаляємо вразливі методи роботи XML-RPC Pingback.', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Ховаємо архів автора', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_autor_page" name="solass_wp_del_autor_page" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_autor_page', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Приховуємо сторінку архіву автора від зловмисників. Це захистить сайт від підбору логіну зареєстрованного користувача.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>

<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_ssl_off"><?php echo esc_html__( 'Відключення перевірки SSL-сертифікату ', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"><a name="ssl_off"></a></div>
			<div>
				<label class="switch">
				<input id="solass_wp_ssl_off" name="solass_wp_ssl_off" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_ssl_off', false ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Функція вимикає перевірку внутрішнього SSL-сертифікату WordPress. Вимикати дозволяється на короткий час якщо виявляється внутрішня помилка "60". Зазвичай це може бути при віддаленому обміну данними, або віддаленому завантеженні файлів, якщо SSL-сертифікат WordPress застарів.', 'solass-wp'); ?>
			<br><em><strong><code><?php echo esc_html__( '!!!УВАГА!!!', 'solass-wp'); ?></code> <?php echo esc_html__( 'Відключення перевірки на тривалий час може негативно вплинути на безпеку сайту.', 'solass-wp'); ?></strong></em><br><br></small></div>
		</td>
		<!--<th scope="row" class="align-right"></th>-->
		<td class="vertical-top" colspan=2><div style="width: 200px"></div>
<?php 		
$ca_file = ABSPATH  . WPINC . '/certificates/ca-bundle.crt'; 
$cert = file_get_contents($ca_file);
$ssl_context = stream_context_create(['ssl' => [
    'verify_peer' => true,
    'cafile' => $ca_file,
]]);
$resource = openssl_x509_read($cert);
$result = openssl_x509_checkpurpose($resource, X509_PURPOSE_ANY);
//$result = openssl_x509_checkpurpose($resource, X509_PURPOSE_ANY, [], null, null, $ssl_context); Для версий PHP > 7.4 
$result_load = solass_wp_remote_post_test(); //отправляем тестовый запрос на сервер 
//print_r($result_load);
if (!$result_load['test_error'] && !esc_attr( get_option( 'solass_wp_ssl_off', false ) ) ) { //$result === true && // print_r($result_load); echo 'Сертификат актуален.';
} else { //print_r($result_load); echo " ---------------------- ".$result_load['body']; 
?>
<div class="border-top-light margin-width-12"></div>

<?php  if(esc_attr( get_option( 'solass_wp_ssl_off', false ) ) ) { ?>
<div class="ssl-info margin-width-12 ssl-error" style="padding: 12px;">
<div class="text-info">
<span class="dashicons dashicons-warning" style="font-size: 30px; color: #a00;"></span><div><h4 style="font-size: 18px; margin-top: 10px"><?php echo esc_html__( 'Вимкнена перевірка SSL-сертифікату Wordpress.', 'solass-wp'); ?></h4>
<?php echo esc_html__( 'Ви вимкнули перевірку SSL-сертифікату WordPress. Рекомендуємо не використовувати цю функцію тривалий час. Вимикайте перевірку на період тестових робіт, або оновлення плагінів з віддалених серверів.', 'solass-wp'); ?> <br><em><?php echo esc_html__( '!!! УВАГА !!! Використовуйте відключення на короткий час.', 'solass-wp'); ?></em> <br><br>
	<label for="solass_wp_ssl_off"><span class="nowrap- nowrap- button button-primary- send-form" style="padding: 0 10px; font-size: 14px"><?php echo esc_html__( 'Увімкнути перевірку SSL-сертифікату', 'solass-wp'); ?></span></label></div>
</div>
</div>
<?php  } else { ?>
<div class="ssl-info margin-width-12 ssl-error ssl-error-info" style="padding: 12px;">
<div class="text-info-info">
<span class="dashicons dashicons-info" style="font-size: 30px; color: #dfbb66;"></span><div><h4 style="font-size: 18px; margin-top: 10px"><?php echo esc_html__( 'SSL-сертифікат Wordpress прострочений або не актуальний.', 'solass-wp'); ?></h4>
<?php echo esc_html__( 'Застарілий сертифікат може викликати помилку при передачі або обміні даними з віддаленими серверами/іншими сайтами. Ви можете оновити файл сертифіката за адресою: ', 'solass-wp'); ?><strong><?php echo WPINC . '/certificates/ca-bundle.crt'; ?></strong> <?php echo esc_html__( 'Також тимчасово відключити перевірку сертифікату завдяки функції плагіну.', 'solass-wp'); ?> <br><em><?php echo esc_html__( '!!! УВАГА !!! Використовуйте відключення на короткий час.', 'solass-wp'); ?></em> <br><br>
<label for="solass_wp_ssl_off">
<span class="nowrap- nowrap- button button-primary- send-form" style="padding: 0 10px; font-size: 14px"><?php echo esc_html__( 'Вимкнути перевірку SSL-сертифікату', 'solass-wp'); ?></span></label></div>
</div>
</div>
<?php } ?>

<?php 
}
openssl_x509_free($resource);
?>
		
		</td>
</tr>

<tr><td style="/*padding: 0 0px;*/" colspan=4>
	<h3 style=""><?php echo esc_html__( 'Налаштування доступу до функціоналу', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo sprintf(esc_html__( 'Відключення %s редагування кодів', 'solass-wp'), '<br>'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_admin_file_edit" name="solass_wp_admin_file_edit" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_admin_file_edit', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Відключає доступ у адмінці до редакторів кодів тем/шаблонів та плагінів.', 'solass-wp'); ?><br><br></small></div>
		</td>
<!--		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Ховаємо архів автора', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_autor_page" name="solass_wp_del_autor_page" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_autor_page', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Приховуємо сторінку архіву автора від зловмисників. Це захистить сайт від підбору логіну зареєстрованного користувача.', 'solass-wp'); ?><br><br></small></div>
		</td>
-->
</tr>

<!--
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_add_editor_styles"><?php echo __( 'Стиль візуального редактору', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_add_editor_styles" id="solass_wp_add_editor_styles" value="<?php echo esc_attr( get_option( 'solass_wp_add_editor_styles', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo __( 'Вкажіть шлях до файлу стилів для візуального редактору адмін-системи, або до файлу стилів теми. !!! Шлях має бути вказаний відносно папки активної теми !!!', 'solass-wp'); ?> </small>
		</div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_color_colorpicker"><?php echo __( 'Палітра вибору кольору', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_color_colorpicker" id="solass_wp_color_colorpicker" value="<?php echo esc_attr( get_option( 'solass_wp_color_colorpicker', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo __( "Вкажіть перелік базових/фірмових кольорів для палітри Iris ColorPicker. Виберіть до 8-ми кольорів та вкажіть їх через кому як у прикладі. <br> 
<strong>Приклад:</strong> <code>'#fff', '#000', '#222'</code>", 'solass-wp'); ?> </small>
		</div>
		</td>
</tr>
-->

</table>
</td>
<td class="vertical-top">
<!-- <?php echo __( 'Права колонка статусу включення функцій', 'solass-wp'); ?> -->
<table>
<tr>
		<th scope="row" class="align-right"><label for=""><?php if($login_changes_safe) { echo __( 'Виконані операції:', 'solass-wp'); } ?></label></th>
		<td class="vertical-top" rowspan=5><div style="width: 200px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".$login_changes_safe."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>
<!--		
<table class="form-table" border=0>
<tr><td colspan=2><hr></td></tr>
<tr>
<th scope="row" class="align-right"><label for=""><?php echo __( 'Заміна тексту у підвалі <br>адмін-сторінки', 'solass-wp'); ?></label></th> 
<td class="vertical-top" style="/*width: 50%*/">
<?php 
	$editor_css = '<style>.solass_wp_admin_footer_text { background: #f0f0f1; color: #3c434a; /*font-family: inherit;*/ font-size: 14px; line-height: 1.3; } </style>';
	$settings = array( 'editor_css' => $editor_css, 'editor_height' => 100, 'teeny' => true, 'dfw' => true, 'quicktags' => false, 'media_buttons' => false );
	wp_editor( get_option( 'solass_wp_admin_footer_text2', '' ), 'solass_wp_admin_footer_text2', $settings ); 
 ?>
</td>
</tr>


<tr>
<th scope="row" class="align-right"><label for=""><?php echo __( 'Просто:', 'solass-wp'); ?></label></th>
		<td style="vertical-align: top;">
		<label class="switch"><input id="on_plugin2" name="on_plugin2" type="checkbox" <?php if(esc_attr( get_option( 'on_plugin2', '' ) )) echo 'checked="checked"'; ?>>
		<span class="slider round"></span></label>
		</td>
         <th scope="row" class="align-right"><label for="1custom-select-fone-active-color"><?php echo __( 'Колір фону активного меню:', 'solass-wp'); ?></label></th>
          <td><input type="text" class="colorPicker" name="1custom-select-fone-active-color" value="<?php echo esc_attr( get_option( 'custom-select-fone-active-color', '' ) ); ?>" data-default-color="" /></td>
          <th scope="row" class="align-right"><label for="1custom-select-text-hover-color"><?php echo __( 'Колір тексту при наведенні:', 'solass-wp'); ?></label></th>
          <td><input type="text" class="colorPicker" name="1custom-select-text-hover-color" value="<?php echo esc_attr( get_option( 'custom-select-text-hover-color', '' ) ); ?>" data-default-color="" /></td>
          <th scope="row" class="align-right"><label for="1custom-select-fone-hover-color"><?php echo __( 'Колір фону при наведенні:', 'solass-wp'); ?></label></th>
          <td><input type="text" class="colorPicker" name="1custom-select-fone-hover-color" value="<?php echo esc_attr( get_option( 'custom-select-fone-hover-color', '' ) ); ?>" data-default-color="" /></td>
<tr>
-->        
		  
<!---        <tr>
          <th scope="row"><label for="select-on"><?php echo __( 'Включити персональні стилі', 'solass-wp'); ?></label></th>
          <td>
			  <label for="on_plugin"><input id="on_plugin" name="on_plugin" type="checkbox" <?php if(esc_attr( get_option( 'on_plugin', '' ) )) echo 'checked="checked"'; ?>> <span style="text-transform: uppercase"><?php echo __( 'TAK', 'solass-addons'); ?></span><br>
			  </label>
		  </td>
          <th scope="row" style="<?php if(!esc_attr( get_option( 'select-on', '' ) )) echo 'opacity: .3;'; ?>"><label for="custom-select-class"><?php echo __( 'Включити тільки для CLASSу', 'solass-wp'); ?></label></th>
          <td style="<?php if(esc_attr( !get_option( 'select-on', '' ) )) echo 'opacity: .3;'; ?>">
			  <input type="text" name="custom-select-class" id="custom-select-class" value="<?php echo esc_attr( get_option( 'custom-select-class', '' ) ); ?>" 
					 <?php if(!esc_attr( get_option( 'select-on', '' ) )) echo 'readonly'; ?> />
		  </td>
		  <td colspan=4 style="<?php if(!esc_attr( get_option( 'select-on', '' ) )) echo 'opacity: .3;'; ?>">
			  <small><?php echo __( 'Вкажіть CSS-класи випадаючої форми для якої потрібно включити інивідуальне оформлення. <br>
				  Якщо форму залишити пустою то індивідуальне оформленння буде використане для всіх випадаючих форм.', 'solass-wp'); ?> </small>
		  </td>
        </tr>
         <tr>
          <td colspan=8><hr></td>
        </tr>
         <tr>
          <td style=" padding: 0 0px;" colspan=8><h3 style="/*color: #717b82;*/ padding: 0 0px;"><?php echo __( 'Налаштування випадаючої форми (SELECT)', 'solass-wp' ); ?></h3></td>
        </tr>
         <tr>
          <th scope="row" class="align-right"><label for="custom-select-fone-color"><?php echo __( 'Колір фону:', 'solass-wp'); ?></label></th>
          <td><input type="text" class="colorPicker" name="custom-select-fone-color" value="<?php echo esc_attr( get_option( 'custom-select-fone-color', '#ffffff' ) ); ?>" data-default-color="#ffffff" /></td>
          <th scope="row" class="align-right"><label for="custom-select-border-color"><?php echo __( 'Колір окантовки:', 'solass-wp'); ?></label></th>
          <td><input type="text" class="colorPicker" name="custom-select-border-color" value="<?php echo esc_attr( get_option( 'custom-select-border-color', '' ) ); ?>" data-default-color="" /></td>
          <th scope="row" class="align-right"><label for="custom-select-border"><?php echo __( 'Розмір окантовки:', 'solass-wp'); ?></label></th>
          <td><div style="display: block ruby;">
			  <input style="width: 70%" type="number" name="custom-select-border" id="custom-select-border" value="<?php echo esc_attr( get_option( 'custom-select-border', '0' ) ); ?>" /> px
		  </div></td>
          <th scope="row" class="align-right"><label for="custom-select-padding"><?php echo __( 'Відступи - padding:', 'solass-wp'); ?></label></th>
          <td><input type="text" name="custom-select-padding" id="custom-select-padding" value="<?php echo esc_attr( get_option( 'custom-select-padding', '' ) ); ?>" /></td>
        </tr>
-->         

<!--        <tr>
          <th scope="row" class="align-right" style="vertical-align: top;"><label for="my_css_editor"><?php echo __( 'Персональні стилі:', 'solass-wp'); ?></label></th>
          <td style="vertical-align: top; width: 40%">
			  <textarea rows="7" name="my_css_editor" id="my_css_editor" aria-describedby="editor-keyboard-trap-help-1 editor-keyboard-trap-help-2 editor-keyboard-trap-help-3 editor-keyboard-trap-help-4" style="width: 90%"><?php echo esc_attr( get_option('my_css_editor') ); ?></textarea>
		</td>
          <th scope="row" class="align-right" style="vertical-align: top;"><label for="my_css_class"><?php echo __( 'Перелік классів:', 'solass-wp'); ?></label></th>
          <td style="vertical-align: top; width: 40%">
			  <input type="text" name="my_css_class" id="my_css_class" value="<?php echo esc_attr( get_option( 'my_css_class', '' ) ); ?>" style="width: 90%" />
			  <div style="margin: 15px 10% 0 0"><small><?php echo __( 'Вказаний вами перелік класів буде назначений для сформованої/трансформованої випадаючої форми. В подальшому ви зможете керувати та налаштовувати зовнішній вигляд форми за допомогою цих класів.', 'solass-wp'); ?> </small></div>
		  </td>
        </tr>
</table>
-->
<!--<tr><td colspan=6><hr></td></tr>-->
      
<br>
      <?php submit_button(); ?>
    </form>
  </div>

<!-- Підключаємо форму вибору кольору -->
<script type="text/javascript">
   jQuery(document).ready(function() {
      jQuery('.colorPicker').wpColorPicker();
   });
</script>
<style>	</style>
<?php 

// Включаем редактор-кода для textarea
// text/html, text/css, application/javascript, application/x-httpd-php
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_google_analytics', 'type_editor' => 'text/html')); 

	solass_wp_add_htaccess(); // !!! ВНИМАНИЕ !!! Добавляем/обновляем правила в .htaccess

}
