<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$login_changes = "";
//Стили визуального редактора подключаемые на странице
//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'


// Если была нажата кнопка "Сохранить изменения", обрабатываем данные формы 
// и сохраняем параметры те которые нельзя сохранить в указанной группе
  if (isset($_POST['save_solass_wp_base'])) { 
    $posts_per_page = (int)$_POST['posts_per_page'];
    update_option('posts_per_page', $posts_per_page); 
}

// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_page_building() { 
global $login_changes, $login_changes_themes, $plugin_name, $plugin_dir_url, $plugin_version, $mce_css, $typenow;

//Выводим сообщение на странице  type = notice-success, notice-error, notice-warning, notice-info, 
// solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'n', 'close' => '1', 'text' => 'Просто тестируем')); 

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	add_action('mce_css', 'solass_plugin_add_editor_style');
?>
  <div class="wrap <?php echo esc_attr( dirname(plugin_basename(__FILE__),2) ); ?>" style="margin-right: 8%">
    <h1 class="title_ua"><?php echo esc_html( get_admin_page_title().$typenow ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form method="post" action="options.php">
	<input type="hidden" name="save_solass_wp_base" value="1">
      <?php
        settings_fields( 'solass-wp-settings' );
        do_settings_sections( 'solass-wp-settings' );
      ?>

<table class="form-table" border=0>
		 <tr>
         <td style="padding-right: 10%">
			  <?php echo __( '<strong>Плагін SOLASS WPSettings v'.$plugin_version.'</strong> створений <a href="https://solass.com.ua/" target="_blank">дизайн студією «SOLASS»</a>. Основні функції плагіну - це налаштування системи адміністрування WordPress для подальшого її безпечного використання. Також у плагін SOLASS WPSettings додани можливості зміни дизайну елементів системи та удосконалення їх функціоналу. <br>Плагін має функції найбільш популярні серед розробників сайтів на WordPress. Буде в нагоді як розробникам так і звичайним користувачам, для яких не буде складності зрозуміти роботу функцій. Один плагін SOLASS WPSettings може замінити собою більше 5-ти додатково встановлюємих плагінів, таких як: загрузка SVG-зображень; МЕТА-теги; налаштування функцій WooCommerce; редіректи та налаштування файлу .htaccess; функції безпеки, налаштувань популярного функціоналу та ін. <br><em>Ми дуже сподіваємось що наш плагін допоможе вам працювати у  WordPress з комфортом та насолодую!</em>', 'solass-wp'); ?>
		 </td>
		<td style="width: 30%; max-width: 350px" class="mob-width-100">
			<div class="text-center"><label class="checkbox_button button_design" for="solass_wp_edit_themes"><input type="checkbox" name="solass_wp_edit_themes" id="solass_wp_edit_themes" <?php if(esc_attr( get_option( 'solass_wp_edit_themes', '' ) )) echo 'checked="checked"'; ?>><div class="tech_work"><span class="off_button_text nowrap-"><?php echo esc_html__( 'Увімкнути техроботи', 'solass-wp'); ?></span><span class="on_button_text nowrap-"><?php echo esc_html__( 'Вимкнути техроботи', 'solass-wp'); ?></span></div></label>
			<div class="margin-top-15 text-center"><small><?php echo $login_changes_themes; ?></small></div>
			</div>
		</td>
        </tr>
		 <tr><td><hr></td></tr>
         <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Налаштування панелі входу', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
<table class="form-table" border=0>
<tr class="display-block">
<td style="padding-left: 0px;">
<table>
<tr>
		<th scope="row" class="align-right"><label for="logo_admin"><?php echo esc_html__( 'Логотип панелі входу', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
		<div style="display: flex" class="load_dell_images">
			<input type="hidden" name="logo_admin" class="regular-text" value="<?php echo esc_attr( get_option( 'logo_admin', '' ) ); ?>" />
			<?php if(esc_attr( get_option( 'logo_admin', '' ) )) { $style_attached_images = "display: block;"; } else { $style_attached_images = "display: none;"; }; ?>
			<div class="attached_images margin-5" style="<?php echo $style_attached_images; ?>">
			<div class="inner_images" style="width: 90px; height: 90px; overflow: hidden;"><img class="prew_load_img" rel="62" src="<?php echo esc_attr( get_option( 'logo_admin', '' ) ); ?>"></div>
			<a href="javascript:;" class="icon-remove-image"><i class="ico_del_image"></i></a>
			</div>
			<a class="add_images_button margin-5" style="width: 90px; height: 90px;" href="javascript:;" use-single="true" title="<?php echo esc_html__( 'Додати зображення', 'solass-wp'); ?>">
			<i class="ico_add_image v1"></i><?php echo esc_html__( 'Додати зображення', 'solass-wp'); ?></a>
		</div><br>			  
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_err_login"><?php echo esc_html__( 'Повідомлення помилки', 'solass-wp'); ?></label></th> 
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_err_login" id="solass_wp_err_login" value="<?php echo esc_attr( get_option( 'solass_wp_err_login', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo __( 'Повідомлення яке показується користувачеві при помилковому вході у адмін систему. Для убезпечення системи від взлому, повідомлення за замовчуванням: <code>"<strong>ПОМИЛКА!</strong> Невірний Логін та Пароль"</code>', 'solass-wp'); ?> </small>
		</div>
		</td>
</tr>
	
<tr class="form-table"><td colspan=4><hr></td></tr>
<tr><td style="padding: 0 0px;" colspan=4><h3 style="/*color: #717b82;*/ padding: 0 0px;"><?php echo esc_html__( 'Налаштувайння дизайну елементів сайту', 'solass-wp' ); ?></h3></td></tr>

<tr>
		<th scope="row" class="align-right"><label for="solass_wp_post_link_name"><?php echo esc_html__( 'Посилання "Детально"', 'solass-wp'); ?></label>
<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
<div class="swp-tooltip swp-top">
<div class="swp-tooltip-inner">
<strong><?php echo esc_html__( 'Стандартні значення:', 'solass-wp'); ?></strong> <br><br>
<?php echo esc_html__( 'Для заміни позначки [...] на спрощені "..." в кінці тексту та додавання посилання зі стандартним перекладом на різних мовах - "', 'solass-wp').esc_html__( 'Read more').'"'; ?> 
<?php echo esc_html__( 'вкажіть наступне значення: ', 'solass-wp'); ?><code style="-webkit-user-select: all; user-select: all;">...[]</code> <br><br>
<?php echo esc_html__( 'Якщо ви просто вкажете "...", то посилання не буде виводитись, а в кінці обрізаного тексту будуть виводитись три крапки.', 'solass-wp'); ?>
</div>
</div>
</div>
		</th>
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_post_link_name" id="solass_wp_post_link_name" value="<?php echo esc_attr( get_option( 'solass_wp_post_link_name', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo esc_html__( 'Вкажіть назву посилання під коротким описом на детальну сторінку записів.', 'solass-wp'); ?> <br>
				<em><?php echo esc_html__( 'Темою/шаблоном сайту можуть бути встановленні свої "примусові" налаштування.', 'solass-wp'); ?></em></small> <br><br>
		</div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_post_long_num"><?php echo esc_html__( 'Кількість слів опису', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="number" style="width: 100%" name="solass_wp_post_long_num" id="solass_wp_post_long_num" value="<?php echo esc_attr( get_option( 'solass_wp_post_long_num', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo esc_html__( "Вкажіть кількість слів для короткого опису у списку записів.", 'solass-wp'); ?> <br>
				<em><?php echo esc_html__( 'Темою/шаблоном сайту можуть бути встановленні свої "примусові" налаштування.', 'solass-wp'); ?></em></small> <br><br>
		</div>
		</td>
</tr>

<tr>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo esc_html__( 'Відключення додаткової навігації постів', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_post_rel_link" name="solass_wp_post_rel_link" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_post_rel_link', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 90%"><small><?php echo esc_html__( 'Відключаємо додаткову навігацію та лінки для постів/записів (наступний, попередній та ін.)', 'solass-wp'); ?> <br>
				<em><?php echo esc_html__( 'Встановленними плагінами або темою/шаблоном сайту можуть бути встановленні свої "примусові" налаштування', 'solass-wp'); ?></em><br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="posts_per_page"><?php echo esc_html__( 'Кількість постів на сторінку', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="number" style="width: 100%" name="posts_per_page" id="posts_per_page" value="<?php echo (int)get_option('posts_per_page', '' ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo esc_html__( "Вкажіть кількість постів що потрібно виводити на одну сторінку.", 'solass-wp'); ?> </small> <br><br>
		</div>
		</td>
</tr>


<tr>
		<th scope="row" class="align-right"><label for="solass_wp_pll_lang_menu"><?php echo esc_html__( 'Дизайн меню мов', 'solass-wp'); ?></label>
			<div class="swp-hint swp-loaded swp-theme-style">
				<div class="swp-tooltip swp-top">
					<div class="swp-tooltip-inner">
						<img src="../wp-content/plugins/solass-wp-settings/images/help/help-info-lang.jpg">
					</div>
				</div>
			</div>
	</th>
		<td class="vertical-top">
			<div><label class="switch">
				<input id="solass_wp_pll_lang_menu" name="solass_wp_pll_lang_menu" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_pll_lang_menu', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
		<div class="margin-top-15">
		<small><?php echo esc_html__( 'Змініть дизайн оформлення прапорів меню мов для плагіну Polylang. Функція працює тильки якщо встановлений та активований плагин Polylang. Можливо буде потреба в коррекції css-стилів для прапорів враховуючи особливості вашої теми/шаблону', 'solass-wp');  
require_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Смотрим файл плагинов и Проверяем включен ли плагин Polylang
if (is_plugin_active('polylang/polylang.php') ) { echo __( '<br><code><em><strong>Плагін Polylang - АКТИВОВАНО<strong></em></code>', 'solass-wp'); } else { echo __( '<br><code><em><strong>!!! Плагін Polylang - НЕ АКТИВОВАНО !!!<strong></em></code>', 'solass-wp'); }
?> </small>
		</div>
		</td>
		<th scope="row" class="align-right" style="padding-right: 0px"><label><?php echo esc_html__( 'Відключення Emoji', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_del_emoji" name="solass_wp_del_emoji" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_del_emoji', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 90%"><small><?php echo esc_html__( 'Функція вимикає Emoji — картинки смаликів у текстовому редакторі WordPress. Вивід смайликів може обтяжувати код сайту та уповільнювати його загрузку. Тому для сайтів де Emoji не грають суттєвої ролі - бажано відключити.', 'solass-wp'); ?><br><br></small></div>
		</td>
		
</tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_customise"><?php echo esc_html__( 'Кольори теми', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_customise" name="solass_wp_customise" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_customise', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 90%"><small><?php echo __( 'Включення персональних налаштувань кольорів, стилів та елементів сайту на сторінці <a href="customize.php" target=_blank>'.esc_html__( 'Appearance', 'default' ). ' > ' . esc_html__( 'Customize', 'default' ) . '</a>', 'solass-wp'); ?><br><br></small></div>
		</td>
		<th scope="row" class="align-right" style="padding-right: 0px"><label for="solass_wp_disable_update_info--"><?php echo esc_html__( '', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
		</td>
</tr>


<tr class="form-table"><td colspan=4><hr></td></tr>

<tr><td style="padding: 0 0px;" colspan=4><h3 style="/*color: #717b82;*/ padding: 0 0 10px 0;"><?php echo esc_html__( 'Адмін-тулбар інструментів у верхній частині сайту', 'solass-wp' ); ?></h3></td></tr>

<tr>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Мінімізувати адмін-тулбар', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div><label class="switch">
				<input id="min_admin_barr" name="min_admin_barr" type="checkbox" <?php if(esc_attr( get_option( 'min_admin_barr', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Мінімізує адмін-тулбар інструментів у лівому куті сторінок сайту коли ви залогінені у WordPress', 'solass-wp'); ?></small></div><br>
		</td>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Вимкнути адмін-тулбар', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div><label class="switch">
				<input id="on_admin_barr" name="on_admin_barr" type="checkbox" <?php if(esc_attr( get_option( 'on_admin_barr', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Видаляє адмін-тулбар інструментів розташований у верхній частині сторінок сайту коли ви залогінені у WordPress', 'solass-wp'); ?></small></div><br>
		</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label for=""><?php echo esc_html__( 'Вимкнути меню S/WPs', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<div><label class="switch">
				<input id="solass_wp_menu_off" name="solass_wp_menu_off" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_menu_off', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Ви можете вимкнути у верхньому админ-тулбарі меню плагіну SOLASS WPSetting з яким зараз працюєте.', 'solass-wp'); ?></small></div><br>
		</td>
		<th scope="row" class="align-right"><label for="on_toolbar_menu"><?php echo __( 'Назва власного <br>меню у тулбарі', 'solass-wp'); ?></label></th> 
		<td class="vertical-top"><div style="width: 200px"></div>
			<input type="text" style="width: 100%" name="on_toolbar_menu" id="on_toolbar_menu" value="<?php echo esc_attr( get_option( 'on_toolbar_menu', '' ) ); ?>" /><br>
			<div class="margin-top-15" style=""><small><?php 
	$menu_locations = get_nav_menu_locations(); $my_menu_object = wp_get_nav_menu_object( $menu_locations['toolbar'] );
if ( $my_menu_object && esc_attr( get_option( 'on_toolbar_menu', '' ) ) ) { $menu_edit_url = admin_url( 'nav-menus.php?action=edit&menu=' . $my_menu_object->term_id ); } else { $menu_edit_url = admin_url( 'nav-menus.php'); }
	echo esc_html__( 'Створіть власне меню у адмін-тулбарі інструментів. Після додавання назви, сформуйте власне меню на сторінці ', 'solass-wp'); ?><a href="<?php echo $menu_edit_url; ?>" target=_blank><?php echo esc_html__( 'редагування меню', 'solass-wp'); ?></a></small></div><br>
		</td>
</tr>

<tr class="form-table"><td colspan=4><hr></td></tr>
<tr><td style="padding: 0 0px;" colspan=4><h3 style="/*color: #717b82;*/ padding: 0 0px;"><?php echo esc_html__( 'Налаштування стилів елементів роботи з контентом сайту', 'solass-wp' ); ?></h3></td></tr>

<tr>
		<th scope="row" class="align-right"><label for="solass_wp_add_editor_styles"><?php echo esc_html__( 'Стиль візуального редактору', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_add_editor_styles" id="solass_wp_add_editor_styles" value="<?php echo esc_attr( get_option( 'solass_wp_add_editor_styles', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo __( 'Вкажіть шлях до файлу стилів для візуального редактору адмін-системи, або до файлу стилів теми. <em><span class="nowrap">!!! URL файлу стилів</span> редактора має бути вказаний відносно папки активної <span class="nowrap">теми !!!</span></em>', 'solass-wp'); ?> </small>
		</div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_color_colorpicker"><?php echo esc_html__( 'Палітра вибору кольору', 'solass-wp'); ?></label></th>
		<td class="vertical-top">
		<input type="text" style="width: 100%" name="solass_wp_color_colorpicker" id="solass_wp_color_colorpicker" value="<?php echo esc_attr( get_option( 'solass_wp_color_colorpicker', '' ) ); ?>" /><br>
		<div class="margin-top-15">
		<small><?php echo __( "Вкажіть перелік базових/фірмових кольорів для палітри Iris ColorPicker. Виберіть до 8-ми кольорів та вкажіть їх через кому як у прикладі. <br> 
<strong>Приклад:</strong> <code>'#fff', '#000', '#222'</code>", 'solass-wp'); ?> </small>
		</div>
		</td>
</tr>
</table>
<table class="form-table" border=0>
<tr><td colspan=2><hr></td></tr>
<tr>
<th scope="row" class="align-right"><label for=""><?php echo __( 'Заміна тексту у підвалі <br>адмін-сторінки', 'solass-wp'); ?></label>
<?php solass_wp_polylang_active_lang('solass_wp_admin_footer_text');  // Функція виводу мов та присутності інформації. Додавати до змінних .SOLASS_WP_POLYLANG_LANG ?>
</th> 
<td class="vertical-top" style="/*width: 50%*/">
<?php 
	$editor_css = '<style>.solass_wp_admin_footer_text { background: #f0f0f1; color: #3c434a; /*font-family: inherit;*/ font-size: 14px; line-height: 1.3; } </style>';
	$settings = array( 'editor_css' => $editor_css, 'editor_height' => 100, 'teeny' => true, 'dfw' => true, 'quicktags' => false, 'media_buttons' => false );
	wp_editor( get_option( 'solass_wp_admin_footer_text'.SOLASS_WP_POLYLANG_LANG, '' ), 'solass_wp_admin_footer_text'.SOLASS_WP_POLYLANG_LANG, $settings ); 
 ?>
</td>
</tr>
</table>
<!-- <?php echo esc_html__( 'Права колонка статусу включення функцій', 'solass-wp'); ?> -->
</td>
<td class="vertical-top mob-width-100" width="31%">
<table>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Виконані операції:', 'solass-wp'); ?></label></th>
		<td class="vertical-top" rowspan=5><div style="width: 200px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".$login_changes."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>
<!--		
<tr>
<th scope="row" class="align-right"><label for="custom-select-fone-color"><?php echo esc_html__( 'Колір фону:', 'solass-wp'); ?></label></th>
<td><input type="text" class="colorPicker" name="custom-select-fone-color" value="<?php echo esc_attr( get_option( 'custom-select-fone-color', '#ffffff' ) ); ?>" data-default-color="#ffffff" /></td>
<th scope="row" class="align-right"><label for="custom-select-border-color"><?php echo esc_html__( 'Колір окантовки:', 'solass-wp'); ?></label></th>
<td><input type="text" class="colorPicker" name="custom-select-border-color" value="<?php echo esc_attr( get_option( 'custom-select-border-color', '' ) ); ?>" data-default-color="" /></td>
</tr>
-->
<br>
<?php submit_button(); ?>
	<footer class="submit_footer" style="display: flex;"> <?php submit_button(); ?> 
	<div style="margin-left: 50px">
	<div class="valign_text"><em><?php echo esc_html__( 'Внесені зміни збережуться тільки після натискання на кнопку.', 'solass-wp'); ?></em></div>
	</div></footer>
    </form>
</div>

<?php if( isset($colorPicker) ): ?>
<!-- Підключаємо форму вибору кольору -->
<script type="text/javascript">
   jQuery(document).ready(function() {
      jQuery('.colorPicker').wpColorPicker();
   });
</script>
<?php endif; ?>
<?php 
// Включаем редактор-кода для textarea
// text/html, text/css, application/javascript, application/x-httpd-php
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_google_analytics', 'type_editor' => 'text/html')); 
}