//const { __, _x, _n, _nx } = wp.i18n; // Выдает ошибку если такие же переменные встречаются в других плагинах. 
// Поэтому вызываем самозапускающуюся функцию с этими параметрами внутри
(function() {
const { __, _x, _n, _nx } = wp.i18n;

/* Функція вибору зображення з медіабібліотеки */

jQuery(document).ready(function($) {
	var GlobalVar = {};
	var parentDivElement;
    var custom_uploader;
	var frame_file;
    $('.load_dell_images .icon-remove-image').on('click', function(e) {

		parentDivElement = $(this).parents('.load_dell_images').first(); //closest('.load_dell_images'); $(e.target)
//		console.log(parentDivElement.html());
        e.preventDefault();
			parentDivElement.find('input').val("");
			parentDivElement.find('.prew_load_img').attr("src", "");
			parentDivElement.find('.attached_images').css('display','none');
});

	var custom_uploader;
    $('.load_dell_images .add_images_button').on('click', function(e) { //dbl

		parentDivElement = $(this).parent('.load_dell_images'); //closest('.load_dell_images'); $(e.target)
		e.preventDefault();

		if (custom_uploader) {
            custom_uploader.open();
            return;
        }
        custom_uploader = wp.media.frames.file_frame = wp.media({
            title: __( 'Виберіть зображення', 'solass-wp'), //<?php echo __( 'Виберіть зображення', 'solass-addons'); ?>
            button: { text: __( 'Обрати зображення', 'solass-wp') }, //<?php echo __( 'Вибрати зображення', 'solass-addons'); ?>
            multiple: false
        });
		
        custom_uploader.on('select', function() {
            var attachment = custom_uploader.state().get('selection').first().toJSON();
			parentDivElement.find('input').val(attachment.url);
			parentDivElement.find('.prew_load_img').attr("src",attachment.url);
			parentDivElement.find('.attached_images').css('display','block');
		});	
        custom_uploader.open();
    });


	/* кнопка включения техработ ---- Сразу нажимаем на сабмит если используем чекбокс-кнопки */
    $('label.checkbox_button').on('click', function(e) { 
		if($(this).find('input[type="checkbox"]').prop('checked')) { 
			$(this).find('input[type="checkbox"]').prop('checked', false);
		   } else {  
			$(this).find('input[type="checkbox"]').prop('checked', true);
		   }
		$('#submit').click();
    });


	// Предотвращаем переход по ссылке
	$('a[href="#"]').click(function(event) {  event.preventDefault();  });


/* -------- Функція Ajax оновлення плагінів ----------- */
    $('.solass-wp-update-plugin').on('click', function(e) {
        e.preventDefault();
        var button = $(this);
        var pluginSlug = button.data('plugin-slug');
        var nonce = button.data('nonce');
        var plugin_Url = button.data('plugin-url');
		//alert( pluginSlug + " ---- " + nonce + " ---- " + plugin_Url );
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                action: 'swp_ajax_update_plugins',
                plugin_slug: pluginSlug,
                nonce: nonce,
				plugin_url: plugin_Url
            },
            beforeSend: function() {
               // button.text('Оновлення...');
                button.prop('disabled', true).addClass('button-disabled');
                // Добавляем прелоадер поверх кнопки
                button.parent().append('<span class="dashicons dashicons-update rotate-icon preloader-overlay"></span>');
            },
            success: function(response) {
                if (response.success) {
                    button.closest('tr').find('td:last').html('<span class="vse_ok">Встановлено</span>');
                } else {
                    alert('Помилка: ' + response.data);
                    //button.text('Оновити');
                    button.prop('disabled', false).removeClass('button-disabled');
                    button.parent().find('.preloader-overlay').remove();
                }
            },
            error: function() {
                alert('Невідома помилка');
                //button.text('Оновити');
				button.prop('disabled', false).removeClass('button-disabled');
                button.parent().find('.preloader-overlay').remove();
            }
        });
    });



	// Функція перевірки типу файлу по його URL та видачі ПРЕВЬЮ
	function PREWgetCorrectFileUrlByExtension(fileUrl) {
    // Получаем расширение файла из URL
    const fileExtension = fileUrl.url.split('.').pop().toLowerCase(); 
    // Список допустимых расширений для изображений
    const imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'webp', 'svg'];
    // Проверяем, является ли файл изображением
    if (imageExtensions.includes(fileExtension)) {
        return fileUrl.sizes.thumbnail.url; // Возвращаем исходный URL, если это изображение
    } else {
        // Возвращаем URL изображения документа, если файл не является изображением
        var origin = window.location.origin;
        return origin+'/wp-content/plugins/solass-wp-settings/images/ico-doc.svg';
    }
	}
	
	// Функція перевірки типу файлу по його URL та видачі ПРЕВЬЮ
	function urlPREWgetCorrectFileUrlByExtension(fileUrl) {
    // Получаем расширение файла из URL
    const fileExtension = fileUrl.split('.').pop().toLowerCase(); 
    // Список допустимых расширений для изображений
    const imageExtensions = ['jpg', 'jpeg', 'png', 'gif', 'webp', 'svg'];
    // Проверяем, является ли файл изображением
    if (imageExtensions.includes(fileExtension)) {
        return fileUrl; // Возвращаем исходный URL, если это изображение
    } else {
        // Возвращаем URL изображения документа, если файл не является изображением
        var origin = window.location.origin;
        return origin+'/wp-content/plugins/solass-wp-settings/images/ico-doc.svg';
    }
	}
	
	// Функції обробки даних форми завантаження файлу в "Додаткових параметрах товару"
	    var frame_file;
		var parentContainer;
            $('.upload_term_image_button').on('click', function(e){
                e.preventDefault();
				parentContainer = $(this).parent();
                if (frame_file) {
                    frame_file.open();
                    return;
                }
                frame_file = wp.media({
            	title: __( 'Виберіть файл', 'solass-wp'), 
            	button: { text: __( 'Обрати файл', 'solass-wp') }, 
            	multiple: false
                });
                frame_file.on('select', function() { 
                    var attachment = frame_file.state().get('selection').first().toJSON();
                    //$('.prod_file_upload').val(attachment.url);
					parentContainer.find('.prod_file_upload').val(attachment.url);
					//fileUrl = attachment.sizes.thumbnail.url; 
					var fileUrl = PREWgetCorrectFileUrlByExtension(attachment); //attachment.sizes.thumbnail.url
                    //$('.term-image-wrapper').html('<img src="'+fileUrl+'" alt="" class="inner_images" style="width: 40px; height: 40px; overflow: hidden; vertical-align: middle;"/>');
                    parentContainer.find('.term-image-wrapper').html('<img src="'+fileUrl+'" alt="" class="inner_images" style="width: 40px; height: 40px; overflow: hidden; vertical-align: middle;"/>');
                });
                frame_file.open();
            });

            // Видалення файлу
            $('.remove_term_image_button').on('click', function(e){
                e.preventDefault();
     		    var origin_url = window.location.origin;
				var parentContainer_dell = $(this).parent();
				var start_prod_file_upload = $(this).siblings('.start_prod_file_upload').val();
				//parentContainer_dell.find('.prod_file_upload').val('');
                //$(this).siblings('.prod_file_upload').val(''); //Елементи на одному рівні з активним елементом
                $(this).siblings('.prod_file_upload').val('');
				if( start_prod_file_upload ) {  
				$(this).siblings('.term_image_name').html('<span class="dashicons dashicons-undo" style="decoration:none;"></span>'); 
				} else { $(this).siblings('.term_image_name').html('');	}
                $(this).siblings('.term-image-wrapper').html('<img src="'+origin_url+'/wp-content/plugins/solass-wp-settings/images/ico-doc-dell.svg" alt="" class="inner_images" style="width: 40px; height: 40px; overflow: hidden; vertical-align: middle;"/>');
             });

            // Відновлення файлу
            $('.term_image_name').on('click', '.dashicons-undo', function(e){
                e.preventDefault();
				var parentContainer_undo = $(this).parent().parent();
				var start_prod_file_upload = parentContainer_undo.find('.start_prod_file_upload').val(); 
				var start_prod_file_upload_prew = parentContainer_undo.find('.start_prod_file_upload_prew').val(); 
				var prew_fileUrl = urlPREWgetCorrectFileUrlByExtension(start_prod_file_upload_prew); 
				var parts = start_prod_file_upload.split('/');
				var prew_fileName = parts[parts.length - 1];
                parentContainer_undo.find('.prod_file_upload').val(start_prod_file_upload);
				if( start_prod_file_upload ) {  
				parentContainer_undo.find('.term_image_name').html('<a href="'+start_prod_file_upload+'" target=_blank>'+prew_fileName+'</a>');
				} else { parentContainer_undo.find('.term_image_name').html(''); }
                parentContainer_undo.find('.term-image-wrapper').html('<img src="'+prew_fileUrl+'" class="inner_images" style="width: 40px; height: 40px; overflow: hidden; vertical-align: middle;"/>');
             });



/*-------------------------------------------------------------------------------------------*/
/* -------------  Функция обработки поисковых запросов по страницам в админке -------------- */


function AjaxLoadSearch() {

        var query = $(this).val();
		var active_input = $(this);
		var type_input = $(this).attr('type_input'); //type_input="one_page"
		var post_type = $(this).attr('post_type');
		var taxonomy = $(this).attr('taxonomy');
        if (query.length > 0 || type_input === "one_page" || post_type == "active_plugins") {
	active_input.parents('.solass_wp_select_container').find('.solass_wp_search_list').css('display', 'block'); 

if (taxonomy && post_type) { 
		$.ajax({
    		type: 'POST',
    		url: ajaxurl,
    		data: {
     		   'action': 'search_taxonomy',
     		   'query': query,
     		   'taxonomy': post_type, // замените на нужный post_type
   		 	},
   			 success: function(response) {
				active_input.parents('.solass_wp_select_container').find('.search-results').html(response); 
				 // Отмечаем активные пункты
				var arr_search_spisok = active_input.parents('.solass_wp_select_container').find('.search-results').find('li');
				var arr_active_spisok = active_input.parents('.solass_wp_select_container').find('.solass_wp_tagchecklist').find('li');
				 var active_id; var search_id; 
  				arr_active_spisok.each(function() {
  					var active_id = $(this).find('input').attr('value');
				arr_search_spisok.each(function() {
  					var search_id = $(this).attr("post_id");
  					if (search_id === active_id) {
					//console.log(search_id + " - " + active_id);
  					$(this).attr("post_id", active_id).attr("aria-selected", "true");
  					}
  				});
  				});
				 
   		 	},
      		error: function(jqXHR, textStatus, errorThrown) {
        	console.log(textStatus + ': ' + errorThrown);
      		}
		});
 } else if (post_type && post_type != "key" && !taxonomy) { 
		$.ajax({
    		type: 'POST',
    		url: ajaxurl,
    		data: {
     		   'action': 'search_page',
     		   'query': query,
     		   'post_type': post_type, // замените на нужный post_type
   		 	},
   			 success: function(response) {
				active_input.parents('.solass_wp_select_container').find('.search-results').html(response); //.parents('.selection')
				 // Отмечаем активные пункты
				var arr_search_spisok = active_input.parents('.solass_wp_select_container').find('.search-results').find('li');
				var arr_active_spisok = active_input.parents('.solass_wp_select_container').find('.solass_wp_tagchecklist').find('li');
				 var active_id; var search_id;
  				arr_active_spisok.each(function() {
  					var active_id = $(this).find('input').attr('value');
				arr_search_spisok.each(function() {
  					var search_id = $(this).attr("post_id");
  					if (search_id === active_id) {
					//console.log(search_id + " - " + active_id);
  					$(this).attr("post_id", active_id).attr("aria-selected", "true");
  					}
  				});
  				});
   		 	},
      		error: function(jqXHR, textStatus, errorThrown) {
        	console.log(textStatus + ': ' + errorThrown);
      		}
		});
 } 
} else {
	active_input.parents('.solass_wp_select_container').find('.solass_wp_search_list').css('display', 'none'); 
	//console.log(active_input.parents('.solass_wp_select_container').find('.solass_wp_search_list').css('display'));
}

}




/*  ---------- Функции обработки формы по аналогии меток (форма в которую добавляются позиции на плашечках) -----------  */

   function printNewCheckList(tags_linc, new_title, newtag) {
//	   tags_linc.find('.solass_wp_tagchecklist').append('<li class="solass_wp_select_form_choice" title="' + newtag + '"><span class="solass_wp_delbutton" role="presentation">×</span>' + newtag + '<input type="hidden" name="solass_wp_tax_input[]" value="' + newtag + '"></li>');
    var proverka = 'input[value="' + newtag + '"]';
	if ( tags_linc.find('.solass_wp_tagchecklist').find(proverka).length == false ) { // Проверяем нет ли данного пункта в выбранных
	var name_arr = tags_linc.parents('.solass_wp_search_page').find('input.arr_input').attr("name"); // Определяем имя переменной для записи пункта в БД
	var type_input = tags_linc.parents('.solass_wp_search_page').find('input.solass_wp_search_field').attr("type_input"); // Определяем тип формы (multy_page - несколько элементов, one_page - 1 выбранный элемент)
	var test_html = tags_linc.find('.solass_wp_tagchecklist').html();
	if(type_input === "one_page" && test_html) { 
		var remove_id = tags_linc.find('.solass_wp_tagchecklist').find('li input').attr("value");
		var post_remove_id = 'li[post_id="' + remove_id + '"]';
		tags_linc.find(post_remove_id).attr("aria-selected", "false");
        tags_linc.find('.solass_wp_tagchecklist').find('li').remove();
        tags_linc.find('.edit_page_link').find('a').attr("href", "post.php?post=" + newtag + "&action=edit")
		tags_linc.find('.edit_page_link').css("visibility", "visible");
	}
		
	tags_linc.find('.solass_wp_tagchecklist').append('<li class="solass_wp_select_form_choice" title="' + new_title + '" type_input="' + type_input + '"><span class="solass_wp_delbutton" role="presentation">×</span>' + new_title + '<input type="hidden" name="' + name_arr + '[]" value="' + newtag + '"></li>');
   }
}

    $('.solass_wp_select_container').on('click', '.solass_wp_select_results_options', function() {
       var type_input = $(this).parents('.solass_wp_select_container').find('input[type="search"]').attr("type_input");
	   var post_type = $(this).parents('.solass_wp_select_container').find('input[type="search"]').attr("post_type");
	   var taxonomy = $(this).parents('.solass_wp_select_container').find('input[type="search"]').attr("taxonomy");
       var title = $(this).attr("title");
       var post_id = $(this).attr("post_id");
       var post_slug = $(this).attr("post_slug");
//		alert(title + " | " + post_id + " | " + post_slug + " | " + taxonomy + " | " + post_type + " | " + type_input + " | ");
        if (post_id !== '') { 
			var tags_linc = $(this).parents('.solass_wp_select_container');
            printNewCheckList(tags_linc, title, post_id);
			$(this).attr("aria-selected", "true");
            $(this).parents('.solass_wp_select_container').find('input[type="search"]').val('');
			$(this).parents('.solass_wp_select_container').find('.solass_wp_search_list').css('none', 'block');
        }
//        updateSelectedTags();
        return false;
    });
	
    // Добавляем метки при нажатии на кнопку Add solass_wp_add_input_var
    $('.solass_wp_select_container').on('click', '.solass_wp_add_input_var', function() {
//		if(post_type == "key") { }
       var type_input = $(this).parent().parent().find('input[type="search"]').attr("type_input");
       var title = $(this).parent().parent().find('input[type="search"]').attr("title");
       var post_id = $(this).parent().parent().find('input[type="search"]').attr("post_id");
       var post_slug = $(this).parent().parent().find('input[type="search"]').attr("post_slug");
		
		var new_title = $(this).parent().parent().find('input[type="search"]').val();
       var newtag = $(this).parent().parent().find('input[type="search"]').val();
        if (newtag !== '') { 
			var tags_linc = $(this).parent().parent();
            printNewCheckList(tags_linc, new_title, newtag);
            $(this).parent().parent().find('input[type="search"]').val('');
			$(this).parents('.solass_wp_select_container').find('.solass_wp_search_list').css('none', 'block');
        }
//        updateSelectedTags();
        return false;
    });
	
    // Добавляем метки при нажатии на єлемент списка подсказки	/* по Энтеру добавляем параметр из формы ввода */	
$('.solass_wp_search_field').keypress(function(event) {
	   var post_type = $(this).attr("post_type");
//       var type_input = $(this).attr("type_input");
  if (event.keyCode === 13) { 
	  if(post_type == "key") {
		var new_title = $(this).val();
       var title = $(this).val(); var post_id  = $(this).val(); var post_slug = $(this).val();
		   var newtag = $(this).val();
        if (newtag !== '') {
			var tags_linc = $(this).parent().parent();
			printNewCheckList(tags_linc, new_title, newtag);
            $(this).val('');
			$(this).parents('.solass_wp_select_container').find('.solass_wp_search_list').css('none', 'block');
  		}
	  }
        return false;
  } 
});

	$('.solass_wp_input_var').click(function() {
		$(this).find('input[type="search"]').focus();
		var type_input = $(this).find('input[type="search"]').attr('type_input'); //type_input="one_page"
		var post_type = $(this).find('input[type="search"]').attr('post_type'); //type_input="one_page"
		if($(this).find('input[type="search"]').val() === "" && type_input !== "one_page" && post_type !== "active_plugins" ) {
		$(this).parents('.solass_wp_select_container').find('.solass_wp_search_list').css('display', 'none');
		}
	 });

    // Удаляем метку при нажатии на кнопку X
    $('.solass_wp_tagchecklist').on('click', '.solass_wp_delbutton', function() {
		var remove_id = $(this).parent().find('input').val();
		var post_remove_id = 'li[post_id="' + remove_id + '"]';
        var type_input = $(this).parents("li").attr("type_input");
        var list_conteyner = $(this).parents(".solass_wp_tagchecklist");
		$(this).parents('.solass_wp_select_container').find(post_remove_id).attr("aria-selected", "false");
        $(this).parent().remove();
		if(type_input === "one_page") {
		list_conteyner.html('<li class="solass_wp_select_form_choice" type_input="' + type_input + '">&nbsp;<input type="hidden" value=""></li>');
        list_conteyner.parents('.solass_wp_select_container').find('input[type="search"]').val(''); 
		list_conteyner.parents('.solass_wp_select_container').find('.edit_page_link').css("visibility", "hidden");
		}
//        updateSelectedTags();
        return false;
    });

    // Обновляем список выбранных меток
    function updateSelectedTags() {
        var selectedTags = [];
        $('.solass_wp_tagchecklist span').each(function() {
            var tagName = $(this).text().trim().slice(1, -1);
            selectedTags.push(tagName);
        });
        $('#solass-wp-selected-all-tags').val(selectedTags.join(', '));
    }
	


/* -------  Запускаем функцию обработки поисковых запросов по страницам в админке --------- */

$('input.solass_wp_search_field').on('focus', AjaxLoadSearch);

$('body').on('input', 'input[name="search_query"]', AjaxLoadSearch); 



// ----------------- Добавляем данныe в textarea при нажатии на кнопку solass_wp_add_textarea_var
    $('.solass_wp_textarea_var').on('click', '.solass_wp_add_textarea_var', function() {
       var textarea_var = $(this).find('textarea').val();
       var my_textarea = $(this).parents('.solass_wp_textarea_var').find('textarea[base_textarea="true"]');
       var my_textarea_old_val = my_textarea.val();
		
        if (textarea_var !== '') { 
            my_textarea.val(textarea_var); 
        }
        return false;
    });

// ----------------- Очищаем textarea при нажатии на кнопку solass_wp_dell_textarea_var
    $('.solass_wp_textarea_var').on('click', '.solass_wp_dell_textarea_var', function() {
       var my_textarea = $(this).parents('.solass_wp_textarea_var').find('textarea[base_textarea="true"]');
       var my_textarea_old_val = my_textarea.val();
		my_textarea.val(''); 
        return false;
    });


// ----------------- Додавання форм вкладок на сторінці уравління магазином

	$('.new_tab_button').on('click', '.button', function() {
		var new_button = $(this).parents('.new_tab_button'); 
		var new_tab = $(this).parents('td.vertical-top').find('.new_tab');
		new_button.css('display', 'none');
		new_tab.css('display', 'flex'); 
		new_tab.find('input[var="new_close"]').val('');
	});

	$('[but="del_korzina"]').on('click', '.new_tab_korzina', function() { 
		var new_tab = $(this).parents('.new_tab'); 
		var new_button = $(this).parents('td.vertical-top').find('.new_tab_button');
		new_button.css('display', 'flex');
		new_tab.css('display', 'none');
		new_tab.find('input[var="new_close"]').val('1');
	});
	$('[but="del_korzina"]').on('click', '.del_korzina', function() { 
		var active_tab = $(this).parents('.info_position'); 
		active_tab.css('display', 'none');
		active_tab.find('input[var="del_tab"]').val('1');
		active_tab.find('input[var="tabs_id"]').val('');
	});


// ----------------- Функции выбора иконки
/**/
	$('.solass_dashicons_grid').on('click', '.dashicons', function() {
		var dashicons_var = $(this).attr("var"); 
		var dashicons_prew = $(this).parents('.solass_dashicons_form').find('.prewicons'); 
		var html_prew = '<span class="dashicons ' + dashicons_var + '"></span>';
		var dashicons_input = $(this).parents('.solass_dashicons_form').find('input[type="hidden"]');
		var active_dashicons = $(this).parents('.solass_dashicons_grid').find('.active_dashicons');
		active_dashicons.removeClass('active_dashicons');
		$(this).addClass('active_dashicons');
		dashicons_prew.html(html_prew); 
		dashicons_input.val(dashicons_var);
		dashicons_prew.css('display', 'block'); //.find('.dashicons')
		$(this).parents('.solass_dashicons_grid').css('display', 'none');
	});
	$('.solass_dashicons_form').on('click', '.prewicons', function() {
		var dashicons_input = $(this).parents('.solass_dashicons_form').find('input[type="hidden"]');
		var active_dashicons = $(this).parents('.solass_dashicons_form').find('.active_dashicons');
		active_dashicons.removeClass('active_dashicons');
		dashicons_input.val('');
		$(this).css('display', 'none');
		if( $('.solass_dashicons_grid').css('display') == 'block' ) { $('.solass_dashicons_grid').css('display', 'none'); }
	});
	$('.solass_dashicons_form').on('click', '.addicons', function() { // dblclick mouseup
		var dashicons_grid = $(this).parents('.solass_dashicons_form').find('.solass_dashicons_grid'); 
		$(this).css('display', 'block'); 
		if( dashicons_grid.css('display') == 'block' ) { 
			dashicons_grid.css('display', 'none'); 
		} else { 
			dashicons_grid.css('display', 'block'); 
		} 
	});
	$(document).on("click", function(event) {
 	 if (!$(event.target).closest(".solass_dashicons_form").length) {
    $('.solass_dashicons_grid').css('display', 'none');
  	}
});



// -------- прилепливаем футтер с кнопкой к низу страницы ----------

  var footerHeight = $('.solass-wp-settings footer').outerHeight(); // Определяем высоту футера
  
  function updateFooterPosition() {
    var windowHeight = $(window).height();
    var documentHeight = $(document).height();
    var scrollTop = $(window).scrollTop();
    
    if ((documentHeight - footerHeight - scrollTop) < windowHeight) {
      // Если докрутили до конца страницы, прилепляем футер к низу страницы
      $('.solass-wp-settings footer').css({
        position: 'fixed',
		bottom: '-200px',
		opacity: '0'
//		display: 'none'
      });
    } else if (scrollTop >= 100) {
      // Если прокрутили страницу на 100px вниз, прилепляем футер к низу окна браузера
      $('.solass-wp-settings footer').css({
        position: 'fixed',
        bottom: '0',
		opacity: '1',
//		display: 'block'
      });
    } else {
      // Иначе возвращаем футер на исходную позицию
      $('.solass-wp-settings footer').css({
        position: 'fixed',
		bottom: '-200px',
		opacity: '0'
//		display: 'none'
      });
    }
  }
  
  // Вызываем функцию при загрузке страницы и при прокрутке
  $(window).on('load scroll resize', function() {
    updateFooterPosition();
  });

// Добавляем обработчик события клика на все class=".send-form", включаем чекбокс у label и запускаем запись
  $('.send-form').click(function() {
    // Получаем значение атрибута for текущего label
    var forValue = $(this).parent().attr('for');
    // Извлекаем имя чекбокса из значения атрибута for
    var checkboxName = forValue.substring(forValue);
    // Находим соответствующий чекбокс по его имени
    var checkbox = $('input[name="' + checkboxName + '"]');
    // Переключаем состояние чекбокса
    checkbox.prop('checked', !checkbox.prop('checked'));
    // Имитируем клик на кнопке
    $('#submit').click();
  });



});


// ---------- Функция Drag & Drop по сортировке объектов списка

function solass_wp_sortable(rootEl, onUpdate){
    var dragEl, nextEl;
    
    // Делаем всех детей перетаскиваемыми
    [].slice.call(rootEl.children).forEach(function (itemEl){
        itemEl.draggable = true;
    });
    
    // Фнукция отвечающая за сортировку
    function _onDragOver(evt){
        evt.preventDefault();
        evt.dataTransfer.dropEffect = 'move';
       
        var target = evt.target;
        if( target && target !== dragEl && target.nodeName == 'DIV' ){
            // Сортируем
            var rect = target.getBoundingClientRect();
            var next = (evt.clientY - rect.top)/(rect.bottom - rect.top) > .5;
            rootEl.insertBefore(dragEl, next && target.nextSibling || target);
        }
    }
    
    // Окончание сортировки
    function _onDragEnd(evt){
        evt.preventDefault();
       
        dragEl.classList.remove('ghost');
        rootEl.removeEventListener('dragover', _onDragOver, false);
        rootEl.removeEventListener('dragend', _onDragEnd, false);

        if( nextEl !== dragEl.nextSibling ){
            // Сообщаем об окончании сортировки
            onUpdate(dragEl);
        }
		
		solass_updatePositions();
    }
    
    // Начало сортировки
    rootEl.addEventListener('dragstart', function (evt){
        dragEl = evt.target; // Запоминаем элемент который будет перемещать
        nextEl = dragEl.nextSibling;
        
        // Ограничиваем тип перетаскивания
        evt.dataTransfer.effectAllowed = 'move';
        evt.dataTransfer.setData('Text', dragEl.textContent);

        // Пописываемся на события при dnd
        rootEl.addEventListener('dragover', _onDragOver, false);
        rootEl.addEventListener('dragend', _onDragEnd, false);

        setTimeout(function (){
            // Если выполнить данное действие без setTimeout, то
            // перетаскиваемый объект, будет иметь этот класс.
            dragEl.classList.add('ghost');
        }, 0)
    }, false);
}
                        
// Запускаем функцию просчета Drag & Drop
var arr_move_container = document.getElementById('move_container');
if ( arr_move_container ) {
solass_wp_sortable( document.getElementById('move_container'), function (item){ 
//    console.log(item);
});
}
var arr_move_container2 = document.getElementById('move_container2');
if ( arr_move_container2 ) {
solass_wp_sortable( document.getElementById('move_container2'), function (item){ 
//    console.log(item);
});
}

// Функция смены параметров позиций

function solass_updatePositions() {
  var container = document.getElementById('move_container');
  var infoPositions = container.querySelectorAll('.info_position');
  infoPositions.forEach(function(element, index) {
   // var input = element.querySelector('input[type="hidden"]'); 
	var input = element.querySelector('input[var="priority"]'); 
    var position = index + 1;
    input.value = position;
  });
  var container2 = document.getElementById('move_container2');
  var infoPositions2 = container2.querySelectorAll('.info_position');
  infoPositions2.forEach(function(element, index) {
   // var input = element.querySelector('input[type="hidden"]'); 
	var input = element.querySelector('input[var="priority"]'); 
    var position = index + 1;
    input.value = position;
  });

}


// Функция Drag & Drop которая меняет местами перетягиваемый блок 
// и тот на который он перетягивается
/*  // Код вывода
	<div class="exchange_container">
        <div draggable="true" class="box">A</div>
        <div draggable="true" class="box">B</div>
        <div draggable="true" class="box">C</div>
    </div>
*/
document.addEventListener('DOMContentLoaded', (event) => {

  var dragSrcEl = null;
  
  function handleDragStart(e) {
    this.style.opacity = '0.4';
    
    dragSrcEl = this;

    e.dataTransfer.effectAllowed = 'move';
    e.dataTransfer.setData('text/html', this.innerHTML);
  }

  function handleDragOver(e) {
    if (e.preventDefault) {
      e.preventDefault();
    }

    e.dataTransfer.dropEffect = 'move';
    
    return false;
  }

  function handleDragEnter(e) {
    this.classList.add('over');
  }

  function handleDragLeave(e) {
    this.classList.remove('over');
  }

  function handleDrop(e) {
    if (e.stopPropagation) {
      e.stopPropagation(); // stops the browser from redirecting.
    }
    
    if (dragSrcEl != this) {
      dragSrcEl.innerHTML = this.innerHTML;
      this.innerHTML = e.dataTransfer.getData('text/html');
    }
    
    return false;
  }

  function handleDragEnd(e) {
    this.style.opacity = '1';
    
    items.forEach(function (item) {
      item.classList.remove('over');
    });
  }
  
  
  let items = document.querySelectorAll('.exchange_container .box');
  items.forEach(function(item) {
    item.addEventListener('dragstart', handleDragStart, false);
    item.addEventListener('dragenter', handleDragEnter, false);
    item.addEventListener('dragover', handleDragOver, false);
    item.addEventListener('dragleave', handleDragLeave, false);
    item.addEventListener('drop', handleDrop, false);
    item.addEventListener('dragend', handleDragEnd, false);
  });
});


// Конец самозапускающейся функции
})()