<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$options = array(
	array( // Метабокс ФОН на страницах + доп CSS
		'id'	=>	'background', // ID метабокса, а также префикс названия произвольного поля
		'name'	=>	'Настройки фона страницы', // заголовок метабокса
		'post'	=>	array('post', 'page', 'news'), // типы постов для которых нужно отобразить метабокс --- у нас есть еще созданные 'news'
		'pos'	=>	'normal', // расположение метабокса, параметр $context функции add_meta_box() // normal, side, advanced
		'pri'	=>	'low', // приоритет, параметр $priority функции add_meta_box() // high, core, default, low
		'cap'	=>	'edit_posts', // какие права должны быть у пользователя
		'visual'=>	'',
		'args'	=>	array(
			array(
				'id'			=>	'color',
				'title'			=>	'Цвет фона',
				'desc'			=>	'',
				'type'			=>	'color',
				'cap'			=>	'edit_posts',
				'on_id'			=>	'',
			),
			array(
				'id'			=>	'foto',
				'title'			=>	'Фоновое изображение',
				'desc'			=>	'',
				'type'			=>	'image',
				'cap'			=>	'edit_posts',
				'w'				=>	'100%',
				'h'				=>	'300px',
				'on_id'			=>	'',
			),			
/*			array(
				'id'			=>	'featured',
				'title'			=>	'Включить фон страницы',
				'desc'			=>	'включить стиль фона на странице',
				'type'			=>	'checkbox',
				'cap'			=>	'edit_posts',
				'on_id'			=>	'foto',
			),*/
			array(
				'id'			=>	'position',
				'title'			=>	'Фон по горизонтали',
				'desc'			=>	'центрирование фонового изображения',
				'type'			=>	'radio',
				'cap'			=>	'edit_posts',
				'args'			=>	array('left' => 'слева', 'center' => 'по центру', 'right' => 'справа' ),
				'on_id'			=>	'foto',
			),
			array(
				'id'			=>	'position_top',
				'title'			=>	'Фон по вертикали',
				'desc'			=>	'Вертикальное расположение фона',
				'type'			=>	'radio',
				'cap'			=>	'edit_posts',
				'args'			=>	array('top' => 'сверху', 'center' => 'по центру', 'bottom' => 'снизу' ),
				'on_id'			=>	'foto',
			),
			array(
				'id'			=>	'repeat',
				'title'			=>	'Background-repeat:',
				'desc'			=>	'Повторение фона (repeat или no-repeat)',
				'type'			=>	'text',
				'cap'			=>	'edit_posts',
//				'args'			=>	array('top' => 'сверху', 'center' => 'по центру', 'buttom' => 'снизу' ),
				'on_id'			=>	'foto',
			),
			array(
				'id'			=>	'attachment',
				'title'			=>	'Прокручиваемый фон',
				'desc'			=>	'',
				'type'			=>	'radio',
				'cap'			=>	'edit_posts',
				'args'			=>	array('scroll' => 'прокручивать', 'fixed' => 'фиксировать' ),
				'on_id'			=>	'foto',
			),
			array(
				'id'			=>	'size',
				'title'			=>	'Размер фона',
				'desc'			=>	'',
				'type'			=>	'radio',
				'cap'			=>	'edit_posts',
				'args'			=>	array('auto' => 'оригинальный размер', 'cover' => 'полное заполнение', 'contain' => 'картинка без зареза' ),
				'on_id'			=>	'foto',
			),
			array(
				'id'			=>	'page_css',
				'title'			=>	'Дополнительный CSS',
				'type'			=>	'textarea', // большое текстовое поле
				'rows'			=>	'7',
				'placeholder'	=>	'!!! если не знаете, лучше не пишите !!!',
				'desc'			=>	'Дополнительные стили которые переназначат базовые',
				'cap'			=>	'edit_posts',
			)
		)
	)
);

/*	array( // первый метабокс
		'id'	=>	'meta1', // ID метабокса, а также префикс названия произвольного поля
		'name'	=>	'Доп. настройки 1', // заголовок метабокса
		'post'	=>	array('page','post'), // типы постов для которых нужно отобразить метабокс
		'pos'	=>	'normal', // расположение, параметр $context функции add_meta_box()
		'pri'	=>	'high', // приоритет, параметр $priority функции add_meta_box()
		'cap'	=>	'edit_posts', // какие права должны быть у пользователя
		'args'	=>	array(
			array(
				'id'			=>	'wp_editor',
				'title'			=>	'Произвольный текст',
				'desc'			=>	'',
				'type'			=>	'editor',
				'cap'			=>	'edit_posts',
				'editor_args'	=> 
								array( 'wpautop' => 1  
								,'media_buttons' => 1  
//								,'textarea_name' =>  'wp_editor'//$this->prefix.$param['id']//нужно указывать!  
								,'textarea_rows' => 7
								,'teeny ' => 0
								,'tinymce' =>  array('theme_advanced_buttons1' => 1)
								,'quicktags' => array('buttons' => 1)// 0 - если хочешь отключить вкладку
								),
			),
			array(
				'id'			=>	'field_1', // атрибуты name и id без префикса, например с префиксом будет meta1_field_1
				'title'			=>	'Текст', // лейбл поля
				'type'			=>	'text', // тип, в данном случае обычное текстовое поле
				'placeholder'		=>	'плейсхолдер, например введите email', // атрибут placeholder
				'desc'			=>	'пример использования текстового поля ввода в метабоксе', // что-то типа пояснения, подписи к полю
				'cap'			=>	'edit_posts'
			),
			array(
				'id'			=>	'terms',
				'title'			=>	'Чекбокс',
				'type'			=>	'checkbox', // чекбокс
				'desc'			=>	'пример чекбокса',
				'cap'			=>	'edit_posts'
			),
			array(
				'id'			=>	'textfield',
				'title'			=>	'Текстовое поле',
				'type'			=>	'textarea', // большое текстовое поле
				'placeholder'		=>	'сюда тоже можно забацать плейсхолдер',
				'desc'			=>	'пример использования большого текстового поля ввода в метабоксе',
				'cap'			=>	'edit_posts'
			),
			array(
				'id'			=>	'select1',
				'title'			=>	'Выпадающий список',
				'type'			=>	'select', // выпадающий список
				'desc'			=>	'тут тоже можно написать пояснение к полю, значения же задаются через ассоциативный массив',
				'cap'			=>	'edit_posts',
				'args'			=>	array('val1' => 'Значение 1', 'val2' => 'Значение 2', '3' => 'Значение 3' ) // элементы списка задаются через массив args, по типу value=>лейбл
			)
		)
	), 
*/

foreach ($options as $option) {
	$truemetabox = new trueMetaBox($option);
}
?>