<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
class trueMetaBox {
	function __construct($options) {
		$this->options = $options;
		$this->prefix = $this->options['id'] .'_';
		add_action( 'add_meta_boxes', array( &$this, 'create' ) );
		add_action( 'save_post', array( &$this, 'save' ), 1, 2 );
	}
	function create() {
		foreach ($this->options['post'] as $post_type) {
			if (current_user_can( $this->options['cap'])) {
				add_meta_box($this->options['id'], $this->options['name'], array(&$this, 'fill'), $post_type, $this->options['pos'], $this->options['pri']);
			}
		}
	}
	function fill(){
		global $post; $p_i_d = $post->ID;
		wp_nonce_field( $this->options['id'], $this->options['id'].'_wpnonce', false, true );
		$z=0;
		if(!$z) { ?>
		<style>
		.metabox_table tr:hover{ background:rgba(0,0,0,.03); } 
		.metabox_table label{margin-right: 20px}
		.metabox_table th{padding-left: 10px}
		.prew_foto {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-50%);
		width: 100%;
		height: 100%;
		object-fit: cover;}
		.div_block { display: block }
		.div_none { display: none }
		.dell_button { color: #fff;
		border-color: #000;
		background: #000;
		font-weight: bold;
		font-stretch: ultra-expanded	
	}
	</style> 
	<script>
	jQuery(document).ready(function($){
		    $('.color_field').each(function(){
        		$(this).wpColorPicker();
    		});
	});

	jQuery(function($){
	/*
	 * действие при нажатии на кнопку загрузки изображения
	 * вы также можете привязать это действие к клику по самому изображению
	 */
	$('.upload_image_button').click(function(){
		var send_attachment_bkp = wp.media.editor.send.attachment;
		var button = $(this);
		wp.media.editor.send.attachment = function(props, attachment) {
			$(button).parent().prev().find('img').attr('src', attachment.url);
			$(button).parent().prev().attr('class', 'div_block');
			$(button).html('Изменить изображение');
			$(button).prev().val(attachment.id);
			wp.media.editor.send.attachment = send_attachment_bkp;
		}
		wp.media.editor.open(button);
		return false;    
	});
	/*
	 * удаляем значение произвольного поля
	 * если быть точным, то мы просто удаляем value у input type="hidden"
	 */
	$('.remove_image_button').click(function(){
		var r = confirm("Вы желаете удалить это изображение?");
		if (r == true) {
			var src = $(this).parent().find('img').attr('data-src');
			$(this).parent().find('img').attr('src', src);
			//$(this).parent().prev().css('display', 'block'); 'style', 'display: none'
			$(this).parent().attr('class', 'div_none');
			$(this).parent().next().find('button').html('Добавить изображение');
			$(this).parent().next().find('input').val('');
		}
		return false;
	});
});

	</script>		
<?php }
		$z++;
?>
		<table class="form-table metabox_table"><tbody><?php
		foreach ( $this->options['args'] as $param ) {
			if (current_user_can( $param['cap'])) {
			?><tr><?php

				if(!$value = get_post_meta($post->ID, $this->prefix .$param['id'] , true)) $value = $param['std'];
				switch ( $param['type'] ) {
					case 'text':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
							<input name="<?php echo $this->prefix .$param['id'] ?>" type="<?php echo $param['type'] ?>" id="<?php echo $this->prefix .$param['id'] ?>" value="<?php echo $value ?>" placeholder="<?php echo $param['placeholder'] ?>" class="regular-text" /><br />
							<span class="description"><?php echo $param['desc'] ?></span>
						</td>
						<?php
			  }
						break;							
					}
					case 'textarea':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
							<textarea name="<?php echo $this->prefix .$param['id'] ?>" type="<?php echo $param['type'] ?>" id="<?php echo $this->prefix .$param['id'] ?>" value="<?php echo $value ?>" placeholder="<?php echo $param['placeholder'] ?>" class="large-text" rows="<?php echo $param['rows'] ?>" /><?php echo $value ?></textarea><br />
							<span class="description"><?php echo $param['desc'] ?></span>
						</td>
						<?php
			  }
						break;							
					}
					case 'editor':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
							<?php 
							$param['editor_args']['textarea_name'] = $this->prefix.$param['id'];
							$args = $param['editor_args'];
							wp_editor( $value, $this->prefix.$param['id'] , $args ); ?><br />
							<span class="description"><?php echo $param['desc'] ?></span>
						</td>
						<?php
			  }
						break;							
					}
					case 'color':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
						<?php 
						$custom = get_post_custom( $post->ID );
						$header_color = ( isset( $custom['header_color'][0] ) ) ? $custom['header_color'][0] : '';
						wp_nonce_field( 'mytheme_header_meta_box', 'mytheme_header_meta_box_nonce' );
						?>
						<div class="pagebox">
						<input class="color_field" type="<?php echo $this->prefix .$param['id'] ?>" id="" name="<?php echo $this->prefix .$param['id'] ?>" value="<?php echo $value; ?>"/><br />
						<span class="description"><?php echo $param['desc'] ?></span>
						</div>
						</td>
						<?php
			  }
						break;							
					}
					case 'checkbox':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
						<label for="<?php echo $this->prefix .$param['id'] ?>"><input name="<?php echo $this->prefix .$param['id'] ?>" type="<?php echo $param['type'] ?>" id="<?php echo $this->prefix .$param['id'] ?>"<?php echo ($value=='on') ? ' checked="checked"' : '' ?> /> 
						<?php echo $param['desc'] ?></label>
						</td>
						<?php
			}
						break;							
					}
					case 'radio':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
						<?php 
						$i = 0;
						foreach($param['args'] as $val=>$name){  $i++; ?>
						<label>
						<input name="<?php echo $this->prefix .$param['id'] ?>" type="<?php echo $param['type'] ?>" id="<?php echo $this->prefix .$param['id'] ?>_<?php echo $i ?>" value="<?php echo $val; ?>"<?php echo ($val==$value || (!$value && $i == 1)) ? ' checked="checked"' : '' ?> /> 
						<?php echo $name ?>
						</label><?php } ?>						
						</td>
						<?php
			  }
						break;							
					}
					case 'select':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
							<label for="<?php echo $this->prefix .$param['id'] ?>">
							<select name="<?php echo $this->prefix .$param['id'] ?>" id="<?php echo $this->prefix .$param['id'] ?>"><option>...</option><?php
								foreach($param['args'] as $val=>$name){
									?><option value="<?php echo $val ?>"<?php echo ( $value == $val ) ? ' selected="selected"' : '' ?>><?php echo $name ?></option><?php
								}
							?></select></label><br />
							<span class="description"><?php echo $param['desc'] ?></span>
						</td>
						<?php
			  }
						break;							
					}
						
					case 'image':{ ?>
<?php 
$close_ = 0;
if($param['on_id']) {
foreach ( $this->options['args'] as $param_base ) { 
if ($param_base['id'] == $param['on_id'] && !get_post_meta($post->ID, $this->prefix .$param_base['id'] , true)) { $close_ = 1; } //echo ' -'.$param_base['id'];}	
}						
} 
if (!$close_) { ?>
						<th scope="row"><?php echo $param['title'] ?></th>
						<td>
						<?php 
						if (!$param['w'] || !$param['h']) { $param['w'] = '200px'; $param['h'] = '200px'; }
						if( $value ) {
						$image_attributes = wp_get_attachment_image_src( $value, 'full' );
						$src = $image_attributes[0];
						} else {
						$src = "";
						} ?>
						<div>
						<div class="div_<?php echo ($src) ? 'block' : 'none' ?>" style="overflow: hidden; width: <?php echo $param['w'] ?>; height: <?php echo $param['h'] ?>; position: relative; margin: 0 0 10px 0">
						<button type="submit" class="remove_image_button button dell_button" style="position: relative; margin: 10px 0 0 -40px; left: <?php echo $param['w'] ?>; z-index: 100; color: #fff; border-color: #000; background: #000;" title="Удалить изображение">X</button>
						<img data-src="" class="prew_foto" style="" src="<?php echo $src ?>" /></div>
						<div>
						<input type="hidden" name="<?php echo $this->prefix .$param['id'] ?>" id="<?php echo $this->prefix .$param['id'] ?>" value="<?php echo $value ?>" />
						<button type="submit" class="upload_image_button button"><?php echo ($src) ? 'Изменить изображение' : 'Добавить изображение' ?></button> 
<!--		<input type="file" />
			<a class="acf-icon -cancel dark" data-name="remove" href="#" title="Убрать"></a>  
			<a class="acf-icon -pencil dark" data-name="edit" href="#" title="Редактировать"></a>-->
						</div>
						</div><div style="margin-top: 6px"><span class="description"><?php echo $param['desc'] ?></span></div>
						</td>
					<?php 
			  }
					break; 				
					} ?>
		<?php	} 
			?></tr><?php
			}
		}
		?></tbody></table><?php
	}
	function save($post_id, $post){
		if ( !wp_verify_nonce( $_POST[ $this->options['id'].'_wpnonce' ], $this->options['id'] ) ) return;
		if ( !current_user_can( 'edit_post', $post_id ) ) return;
		if ( !in_array($post->post_type, $this->options['post'])) return;
		foreach ( $this->options['args'] as $param ) {
			if ( current_user_can( $param['cap'] ) ) {
				if ( isset( $_POST[ $this->prefix . $param['id'] ] ) && trim( $_POST[ $this->prefix . $param['id'] ] ) ) {
					update_post_meta( $post_id, $this->prefix . $param['id'], trim($_POST[ $this->prefix . $param['id'] ]) );
				} else {
					delete_post_meta( $post_id, $this->prefix . $param['id'] );
				}
			}
		}
	}
}
?>