<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$login_changes_seo = "";
//Стили визуального редактора подключаемые на странице
//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'


// Если была нажата кнопка "Сохранить изменения", обрабатываем данные формы 
// и сохраняем параметры те которые нельзя сохранить в указанной группе
 if (isset($_POST['save_solass_wp_css'])) { 
    $css_type = esc_attr($_POST['solass_wp_css_type']);
    $css_code = esc_textarea( strip_tags( $_POST['solass_wp_css_code'] ) );
	// Записываем содержимое файла CSS
	solass_wp_css_editor_save(); 
	//file_put_contents('custom_swps.css', $css_code);

    //$blog_public = (int)$_POST['blog_public'];
    // Запись переменной в базу данных
    //update_option('blog_public', $blog_public); 
}


// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_page_building_css() { 
global $login_changes_css, $plugin_name, $plugin_dir_url, $mce_css;

$css_editor_notice = get_option( 'solass_wp_css_notice', '' ); 
if ($css_editor_notice) { 
	// Выводим сообщение о записи файла .htaccess и чистим в базе сообщение
	solass_wp_admin_notice($solass_wp_notice_args = $css_editor_notice); 
	update_option('solass_wp_css_notice', '', 'no');
}
//Выводим сообщение на странице  type = notice-success, notice-error, notice-warning, notice-info, 
// solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'n', 'close' => '1', 'text' => 'Просто тестируем')); 

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	add_action('mce_css', 'solass_plugin_add_editor_style');
?>
  <div class="wrap <?php echo dirname(plugin_basename(__FILE__),2); ?>" style="margin-right: 8%">
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form method="post" action="options.php"><input id="solass_wp_seo_save" name="solass_wp_seo_save" type="hidden" value="1">
		<input type="hidden" name="save_solass_wp_css" value="1">
<?php
    // Используем параметры группы настроек плагина
    settings_fields( 'solass-wp-settings-css' );
    do_settings_sections( 'solass-wp-settings-css' );
?>

<table class="form-table" border=0>
<tr class="display-block">
<td style="min-width: 80%">
<table>
<tr><td colspan=4 style="padding: 0 0px;">
<h3 style="/*color: #717b82;*/ padding: 0 0px;"><?php echo esc_html__( 'Користувацький CSS на сторінках сайту', 'solass-wp' ); ?></h3>
</td></tr>
<tr>
<th scope="row" class="align-right" style="min-width: 20%"><label for="solass_wp_css_code"><?php echo esc_html__( 'CSS-код', 'solass-wp'); ?></label></th>
<td class="vertical-top" colspan=2 style="min-width: 50%"><div style="width: 200px"></div>
	<div class="solass_wp_textarea_var css_editor_500" style="width: 90%">
<textarea rows="15" name="solass_wp_css_code" id="solass_wp_css_code" base_textarea="true" aria-describedby="editor-keyboard-trap-help-1 editor-keyboard-trap-help-2 editor-keyboard-trap-help-3 editor-keyboard-trap-help-4" style="width: 100%"><?php echo esc_textarea( strip_tags( get_option('solass_wp_css_code', '' ) ) ); ?></textarea>
	</div>
</td>
<td class="vertical-top" style="min-width: 30%"><div style="width: 200px"></div>

<label for="solass_wp_css_type" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Оберіть тип виводу CSS', 'solass-wp'); ?></label><br><br>
<div class="radio_switch">
<label class="switch">
<input id="solass_wp_css_type" name="solass_wp_css_type" type="radio" checked="checked"><span class="slider_radio round"><span><?php echo esc_html__( 'Вимк.', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_css_type" name="solass_wp_css_type" type="radio" <?php if(esc_attr( get_option( 'solass_wp_css_type', '' ) ) == "code") echo 'checked="checked"'; ?> value="code"><span class="slider_radio round"><span><?php echo esc_html__( 'у коді', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_css_type" name="solass_wp_css_type" type="radio" <?php if(esc_attr( get_option( 'solass_wp_css_type', '' ) ) == "file") echo 'checked="checked"'; ?> value="file"><span class="slider_radio round"><span><?php echo esc_html__( 'у файлі', 'solass-wp'); ?></span></span>
</label>
</div>
<div class="margin-top-15" style="max-width: 70%; margin-top: 15px;"><small><?php echo __( 'Виберіть вивід ваших CSS правил безпосередньо у коді сторінки, або шляхом підключення css-файлу до сторінок сайту.', 'solass-wp'); ?><br>
<?php echo __( 'Навіть після відключення і видалення плагіну SOLASS WPSettings, файл з вашими стилями залишиться у папці ', 'solass-wp'); ?> 
<strong><a href="<?php $uploads_dir_var = wp_upload_dir(); $upload_css_file = $uploads_dir_var['baseurl'].'/solass-wp-uploads/custom_swps.css'; echo $upload_css_file; ?>" target=_blank>uploads</a></strong>
<br><br></small>
</div>

<hr>

<div class="margin-top-20">
<label for="solass_wp_css_code_head" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Виводити CSS вверху сторінки', 'solass-wp'); ?></label><br><br>
<label class="switch">
<input id="solass_wp_css_code_head" name="solass_wp_css_code_head" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_css_code_head', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
</label>
</div>
<div class="margin-top-15" style="max-width: 70%; margin-top: 15px;"><small><?php echo __( 'За замовчуванням CSS-код розташовується у верхній частині сторінки між тегами <code>&lt;HEAD>...&lt;/HEAD></code>. Код виводиться на всіх сторінках сайту.', 'solass-wp'); ?><br><br></small>
</div>

</td>
</tr>
<style>.css_editor_500 .CodeMirror { height: 500px; }</style>
<?php if(isset($print_script_code)): ?>
<!--
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_js_code"><?php echo __( 'JavaScript-код', 'solass-wp'); ?></label></th>
		<td class="vertical-top" colspan=2><div style="width: 200px"></div>
	<div class="solass_wp_textarea_var" style="width: 90%">
<textarea rows="7" name="solass_wp_js_code" id="solass_wp_js_code" base_textarea="true" aria-describedby="editor-keyboard-trap-help-1 editor-keyboard-trap-help-2 editor-keyboard-trap-help-3 editor-keyboard-trap-help-4" style="width: 100%"><?php echo esc_textarea( get_option('solass_wp_js_code', '' ) ); ?></textarea>
	</div>
		</td>
		<td class="vertical-top"><div style="width: 200px"></div>
<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'За замовчуванням JavaScript-код розташовується у нижній частині сторінки перед закриваючим тегом <code>&lt;/BODY></code>. Код виводиться на всіх сторінках сайту після коду виводу сторінки.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>
-->
<?php endif; ?>
</table>



</td>
<td class="vertical-top">
<table>
<tr>
		<th scope="row" class="align-right"><label for=""><?php if($login_changes_css) { echo __( 'Виконані операції:', 'solass-wp'); } ?></label></th>
		<td class="vertical-top"><div style="width: 180px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".wp_kses_post($login_changes_css)."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>
<br>
      <?php submit_button(); ?>
<!--	<footer class="submit_footer" style="display: flex;"> <?php submit_button(); ?> 
	<div style="margin-left: 50px">
	<div class="valign_text"><em><?php echo __( 'Внесені зміни збережуться тільки після натискання на кнопку.', 'solass-wp'); ?></em></div>
	</div></footer>-->
    </form>
  </div>

<!-- Підключаємо форму вибору кольору якщо вона використовується на сторінці 
<script type="text/javascript">
   jQuery(document).ready(function() {
      jQuery('.colorPicker').wpColorPicker();
   });
</script> -->
<style>	</style>
<?php 

// Включаем редактор-кода для редактора кода ГуглАналитики
// text/html, text/css, application/javascript, application/x-httpd-php
solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_css_code', 'type_editor' => 'text/css')); 
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_js_code', 'type_editor' => 'text/css')); 

// 	solass_wp_add_htaccess(); // !!! ВНИМАНИЕ !!! Добавляем/обновляем правила в .htaccess
}