<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}
$login_changes_plugins = "";
//Стили визуального редактора подключаемые на странице
//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'

// Если была нажата кнопка "Сохранить изменения", обрабатываем данные формы 
// и сохраняем параметры те которые нельзя сохранить в указанной группе
 if (isset($_POST['save_solass_wp_plugins'])) { 
    $plugins_type = esc_attr($_POST['solass_wp_plugins_type']);
	// Записываем содержимое файла CSS
	//solass_wp_plugins_save(); 
	//file_put_contents('custom_swps.css', $css_code);

    //$blog_public = (int)$_POST['blog_public'];
    // Запись переменной в базу данных
    //update_option('blog_public', $blog_public); 
    // get_option('blog_public', '' ) // считывание переменной
}

// Формуємо список плагінів що будуть на сторінці
$updates_plugins_arr = array(
        array(
            'name' => 'SOLASS Addons for WPBakery',
            'slug' => 'solass-addons',
            'server_version_url' => 'https://solass.com.ua/wp-content/uploads/shared-files/solass-addons-version.php',
        ),
        array(
            'name' => 'WPBakery',
            'slug' => 'js_composer',
            'server_version_url' => 'https://solass.com.ua/wp-content/uploads/shared-files/js_composer-version.php',
        ),
/*        array(
            'name' => 'Test-test',
            'slug' => 'te_test',
            'server_version_url' => 'https://solass.com.ua/wp-content/uploads/shared-files/test-version.php',
        ),*/
        // Можна додати інші необхідні для оновлення плагіни
);


// Функція установки маркера кількості плагінів для оновлення
function swp_custom_menu_with_badge() { 
global $submenu, $menu, $updates_plugins_arr;
$current_datetime_sec = strtotime( date('Y-m-d H:i:s') );
$save_datetime_sec = 0;
if (is_array(get_option('num_my_plugin_updates', '')) && isset(get_option('num_my_plugin_updates', '')['date'])) {
    $save_datetime_sec = strtotime(get_option('num_my_plugin_updates', '')['date']) + (4 * 60 * 60);
}
if( empty( get_option('num_my_plugin_updates', '' ) ) || $save_datetime_sec < $current_datetime_sec || get_option('swp_new_plugin_updates', '' ) ) {
$num_my_plugin_updates = solass_wp_num_my_plugin_updates($updates_plugins_arr);
$num_my_plugin_updates['date'] = date('Y-m-d H:i:s');
//echo "++++++++++++++++++++++++++++++++++++++" . get_option('num_my_plugin_updates', '' )['date'] . " - " . $num_my_plugin_updates['date'] . " - " .get_option('swp_new_plugin_updates', '' ) ;
// Запис даних про оновлення плагинів
update_option('num_my_plugin_updates', $num_my_plugin_updates); 
update_option('swp_new_plugin_updates', ''); 
} else {
$num_my_plugin_updates =  get_option('num_my_plugin_updates', '' );
//echo "--------------------------------------" . $num_my_plugin_updates['date'] . " - " . date('Y-m-d H:i:s') . " - " .get_option('swp_new_plugin_updates', '' ) ;
}
//print_r($num_my_plugin_updates);

    // Укажите slug родительского меню и slug целевого подпункта
    $parent_slug = SOLASS_WP_PLUGIN_NAME; // Например, 'options-general.php' для "Настройки"
    $submenu_slug = SOLASS_WP_PLUGIN_NAME.'-plugins';    // Например, 'custom-submenu-page'

    if (isset($submenu[$parent_slug])) {
        foreach ($submenu[$parent_slug] as &$item) {
            if ($item[2] === $submenu_slug) {
                // Добавляем метку с числом к названию подпункта меню 'update', 'instal', 'activate' 
                if( $num_my_plugin_updates['update'] ) { 
				$item[0] .= ' <span class="awaiting-mod my-plugin-update"><span class="count">' . $num_my_plugin_updates['update'] . '</span></span>'; 
				} elseif( $num_my_plugin_updates['activate'] ) {  
				$item[0] .= ' <span class="awaiting-mod my-plugin-activate"><span class="count">' . $num_my_plugin_updates['activate'] . '</span></span>'; 
				} elseif( $num_my_plugin_updates['instal'] ) {  
				//$item[0] .= ' <span class="awaiting-mod my-plugin-instal display-none"><span class="count">' . $num_my_plugin_updates['instal'] . '</span></span>'; 
				}
                break;
            }
        }
    }
//           $menu[$menu_location['parent_index']][8] .= ' <span class="awaiting-mod"><span class="count">' . $num_my_plugin_updates['instal'] . '</span></span>';
};
add_action( 'admin_menu', 'swp_custom_menu_with_badge' );



// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_plugins_updates_page() { 
global $login_changes_plugins, $plugin_name, $plugin_dir_url, $updates_plugins_arr; 
update_option('swp_new_plugin_updates', 'on'); // Встановлюємо перевірку на ярлики оновлень

//Выводим сообщение на странице  type = notice-success, notice-error, notice-warning, notice-info, 
// solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'n', 'close' => '1', 'text' => 'Просто тестируем')); 

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	add_action('mce_css', 'solass_plugin_add_editor_style');
?>
  <div class="wrap <?php echo dirname(plugin_basename(__FILE__),2); ?>" style="margin-right: 8%">
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form method="post" action="options.php"><input id="solass_wp_plugins_updates" name="solass_wp_plugins_updates" type="hidden" value="1">
		<input type="hidden" name="save_solass_wp_plugins" value="1">
<?php
    // Используем параметры группы настроек плагина
    settings_fields( 'solass-wp-settings-plugins' );
    do_settings_sections( 'solass-wp-settings-plugins' );
?>

<table class="form-table" border=0>
<tr class="display-block">
<td style="min-width: 80%">
<table>
<tr><td colspan=4 style="padding: 0 0px;">
<h3 style="/*color: #717b82;*/ padding: 0 0px;"><?php echo esc_html__( 'Рекомендовані плагіни', 'solass-wp' ); ?></h3>
<?php echo __( 'На сторінці наведений список рекомендованих плагінів для комфортної роботи з сайтом. Плагіни встановлюються з нашого серверу без окремого завантаження. <br>Також на цій сторінці ви зможете оновити встановлені плагіни якщо буде випущена нова версія. Про що будете повідомлені в таблиці плагінів.', 'solass-wp'); ?><br><br>
</td></tr>
<tr>

<?php
	// Запускаємо побудову таблиці списку плагінів для оновлення
	if ( function_exists('solass_wp_display_my_plugin_table') && !empty($updates_plugins_arr) ) { solass_wp_display_my_plugin_table($updates_plugins_arr); }

?>

</tr>
<style></style>
<?php if(isset($print_script_code)): ?>
<!--
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_js_code"><?php echo __( 'JavaScript-код', 'solass-wp'); ?></label></th>
		<td class="vertical-top" colspan=2><div style="width: 200px"></div>
	<div class="solass_wp_textarea_var" style="width: 90%">
<textarea rows="7" name="solass_wp_js_code" id="solass_wp_js_code" base_textarea="true" aria-describedby="editor-keyboard-trap-help-1 editor-keyboard-trap-help-2 editor-keyboard-trap-help-3 editor-keyboard-trap-help-4" style="width: 100%"><?php echo esc_textarea( get_option('solass_wp_js_code', '' ) ); ?></textarea>
	</div>
		</td>
		<td class="vertical-top"><div style="width: 200px"></div>
<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'За замовчуванням JavaScript-код розташовується у нижній частині сторінки перед закриваючим тегом <code>&lt;/BODY></code>. Код виводиться на всіх сторінках сайту після коду виводу сторінки.', 'solass-wp'); ?><br><br></small></div>
		</td>
</tr>
-->
<?php endif; ?>
</table>



</td>
<td class="vertical-top">
<table>
<tr>
		<th scope="row" class="align-right"><label for=""><?php if($login_changes_plugins) { echo __( 'Виконані операції:', 'solass-wp'); } ?></label></th>
		<td class="vertical-top"><div style="width: 180px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".wp_kses_post($login_changes_plugins)."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>
<br>
      <?php submit_button(); ?>
<!--	<footer class="submit_footer" style="display: flex;"> <?php submit_button(); ?> 
	<div style="margin-left: 50px">
	<div class="valign_text"><em><?php echo __( 'Внесені зміни збережуться тільки після натискання на кнопку.', 'solass-wp'); ?></em></div>
	</div></footer>-->
    </form>
  </div>

<!-- Підключаємо форму вибору кольору якщо вона використовується на сторінці 
<script type="text/javascript">
   jQuery(document).ready(function() {
      jQuery('.colorPicker').wpColorPicker();
   });
</script> -->
<style></style>
<?php 
// Включаем редактор-кода для редактора кода ГуглАналитики
// text/html, text/css, application/javascript, application/x-httpd-php
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_css_code', 'type_editor' => 'text/css')); 
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_js_code', 'type_editor' => 'text/css')); 
}