<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Вихід, якщо доступ до нього прямий
}

// ------------- Код виводу сторінки налаштувань ------------------ //
function solass_wp_page_building_woo() { 
global $login_changes_woo, $arrey_product_tabs; //$plugin_name, $plugin_dir_url, $mce_css;

	/* Підключення до візуального редактору стилі схожі на візуал адмін частини, та стилю адмінки плагіна */
	//$mce_css = "/wp-admin/load-styles.php, ". SOLASS_WP_PLUGIN_URL . 'admin/admin_style.css'; //get_template_directory_uri().'/styles.php'
	//add_action('mce_css', 'solass_plugin_add_editor_style');

require_once( ABSPATH . 'wp-admin/includes/plugin.php' ); // Смотрим файл плагинов
if (!is_plugin_active('woocommerce/woocommerce.php')) { // Проверяем включен ли плагин WooCommerce
solass_wp_admin_notice($solass_wp_notice_args = array('type' => 'notice-warning', 'close' => '1', 'text' => __( '<strong>Плагін інтернет-магазину WooCommerce не активовано.</strong><br> Параметри встановлені на цій сторінці будуть функціонувати тільки при включеному плагіну.', 'solass-wp'))); //type = notice-success, notice-error, notice-warning, notice-info, 
$login_changes_woo = $login_changes_woo.'<li class="no_func">'.esc_html__( 'Плагін WooCommerce не активовано. Функції відключені.', 'solass-wp').'</li>'; 
}

?>
  <div class="wrap <?php echo dirname(plugin_basename(__FILE__),2); ?>" style="margin-right: 8%">
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

	<br><?php solass_wp_zakladka_admin_menu(); ?><br>

    <form method="post" action="options.php">
	<input type="hidden" name="save_solass_wp_woo" value="1">
      <?php
        settings_fields( 'solass-wp-settings-woo' );
        do_settings_sections( 'solass-wp-settings-woo' );
      ?>


<table class="form-table" border=0>
<tr class="display-block">
<td>
<table>
<tr><td colspan=4 style="padding: 0 0px;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Робота магазину WooCommerce у режимі каталогу', 'solass-wp' ); ?></h3>
</td></tr>

	<tr style=""> <?php //echo sprintf(esc_html__( 'Режим %sз каталогу', 'solass-wp'), '</br>'); ?>
		<th scope="row" class="align-right vertical" style="padding-left: 10px; vertical-align: middle; border-left: 4px solid <?php if(esc_attr( get_option( 'solass_wp_katalog_on', '' ) )) { echo 'rgba(0,0,0,0.1)'; } else {  echo 'rgba(0,0,0,0.0)'; } ?>;"><label><?php echo esc_html__( 'Режим "КАТАЛОГ"', 'solass-wp'); ?></label></th>
		<td class="vertical-top-"><div style="width: 200px"></div>
			<div style="/*text-align: center;*/">
				<label class="switch">
				<input id="solass_wp_katalog_on" name="solass_wp_katalog_on" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_katalog_on', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
		</td>
		<td class="vertical-top-" colspan=2><div style="width: 200px"></div>
			<div class="margin-top-15-" style="max-width: 70%"><small><?php echo esc_html__( 'Активація данної функції робить інтернет-магазин WooCommerce схожим на звичайний каталог. На сайті відключаються всі елементи та сторінки інтернет-магазину. Кнопки додавання до корзини замінені посиланнями на сторінку продукції. Додатково ви можете доналаштувати сторінки та елементи функціоналу завдяки функціям розташованим нижче, а також за рахунок персональних скриптів і стилів.', 'solass-wp'); ?> <br><br>
<em><?php echo esc_html__( 'Якщо ви використовуєте додаткові плагіни управління інтернет-магазином, або налаштування теми/шаблону сайту, то деякі функції можуть не спрацювати.', 'solass-wp'); ?></em></small>
</div>
</tr>
<tr><td colspan=4 style="padding: 20px 0px;"></td></tr>
<tr style="<?php if(!esc_attr( get_option( 'solass_wp_katalog_on', '' ) )) echo 'opacity: 0.3;'; ?>">
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Короткий опис', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_katalog_excerpt_on" name="solass_wp_katalog_excerpt_on" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_katalog_excerpt_on', true ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Виводити короткий опис товару розташований відразу після назви товару', 'solass-wp'); ?> <br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_login_url"><?php echo esc_html__( 'Тільки детальний опис', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_katalog_description_on" name="solass_wp_katalog_description_on" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_katalog_description_on', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%;">
<small><?php echo esc_html__( 'Виводити тільки детальний опис товару в кінці сторінки закривши всі інші вкладки', 'solass-wp'); ?> <br><br></small>	
			</div>
		</td>
</tr>

<tr style="<?php if(!esc_attr( get_option( 'solass_wp_katalog_on', '' ) )) echo 'opacity: 0.3;'; ?>">
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вартість продукції', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_katalog_price_on" name="solass_wp_katalog_price_on" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_katalog_price_on', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Ви можете вивести вартість продукції у каталогу без додавання кнопки "У корзину"', 'solass-wp'); ?> <br><br></small></div>
		</td>

		<th scope="row" class="align-right"><label><?php echo __( 'Вивод вкладок <br>друг під другом', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_katalog_line_info" name="solass_wp_katalog_line_info" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_katalog_line_info', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Інформація вкладок сторінки продукції виводиться послідовно друг під другом.', 'solass-wp'); ?> <br><br></small></div>
		</td>
</tr>

<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Корегування та удосконалення роботи інтернет магазину.', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Не виводити ціну = 0', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_null_price" name="solass_wp_null_price" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_null_price', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Відключає виведення ціни в магазині якщо вона дорівнює НУЛЮ', 'solass-wp'); ?> <br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_login_url"><?php echo esc_html__( 'Прибрати кнопу для ціни = 0', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_add_to_cart" name="solass_wp_add_to_cart" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_add_to_cart', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%">
<small><?php echo esc_html__( 'Відключаємо кнопку "у кошик" в магазині якщо ціна товару дорівнює НУЛЮ', 'solass-wp'); ?> <br><br></small>	
			</div>

		</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вимкнути доставку', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_dostavka" name="solass_wp_dostavka" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_dostavka', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Відключаємо вивід та підрахунок доставки на всіх сторінках', 'solass-wp'); ?> <br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_login_url"><?php echo esc_html__( 'Відключити супутні товари', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_related_products" name="solass_wp_related_products" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_related_products', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%">
<small><?php echo esc_html__( 'Відключаємо блок "Супутні товари" розташований після інформації про продукт', 'solass-wp'); ?> <br><br></small>	
			</div>

		</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вимкнути відсутні товари', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_products_query" name="solass_wp_products_query" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_products_query', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Не виводити у списку товарів продукцію що закінчилась на складі', 'solass-wp'); ?> <br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_exclude_prod"><?php echo esc_html__( 'Відсутній товар в кінець', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_exclude_prod" name="solass_wp_exclude_prod" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_exclude_prod', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%">
<small><?php echo esc_html__( 'Відсутній товар буде виводиться у кінці списку продукції', 'solass-wp'); ?> <br><br></small>	
			</div>

		</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_sort_discount"><?php echo esc_html__( 'Сортування за знижкою', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_sort_discount" name="solass_wp_sort_discount" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_sort_discount', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Додайте сортування товару що має знижку', 'solass-wp'); ?> <br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="solass_wp_login_url"><?php echo esc_html__( 'Відключити оплату', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_products_no_payment" name="solass_wp_products_no_payment" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_products_no_payment', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%">
<small><?php echo esc_html__( 'Відключає у оформленні замовлення всі способи оплати', 'solass-wp'); ?> <br><br></small>	
			</div>

		</td>
</tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_taxonomy_custom_meta"><?php echo esc_html__( 'Додатковий опис розділу', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_taxonomy_custom_meta" name="solass_wp_taxonomy_custom_meta" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_taxonomy_custom_meta', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Додайте додатковий опис розділу/таксономії, який буде виводиться внизу сторінки.', 'solass-wp'); ?> <br><br></small></div>
		</td>





		<th scope="row" class="align-right"><label for="solass_wp_woo_default_categories"><?php echo esc_html__( 'Дефолтна категорія товару', 'solass-wp'); ?></label></th> 
		<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "solass_wp_woo_default_categories"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = "on"; // что-то написать если это таксономия
	$solass_wp_post_type = "product_cat"; //page post key taxonomy-NAME-napisat(product_cat или category) для списка плагинов - active_plugins
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
if($solass_wp_post_type == "active_plugins") { 
		$plugins = get_plugins();
		foreach ($plugins as $plugin_file => $plugin_data) {
    		$plugin_path = plugin_basename( $plugin_file );
			if($plugin_path == $solass_wp_id_page) {  
			echo '<li class="solass_wp_select_form_choice" title="'.$plugin_data['Name'].'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$plugin_data['Name'].'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$plugin_path.'"></li>'; 
			}
		}
 } else { 
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
 }
}
} 
	if( $type_input == "one_page" && !$solass_wp_id_input) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo esc_html__( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && isset($solass_wp_id_page)) {  
if($solass_wp_post_type == "product_cat") {
$edit_url_post = "term.php?taxonomy=product_cat&post_type=product&tag_ID=".$solass_wp_id_page;
} else {
$edit_url_post = "post.php?post=".$solass_wp_id_page."&action=edit";
}
?>
<div class="margin-top-10 edit_page_link"><small><a href="<?php echo $edit_url_post; ?>" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 70%"><small><?php echo __( 'Призначте власну дефолтну категорію для товарів магазину WooCommerce. Для додаваємих товарів вона стане категорією за замовчуванням.', 'solass-wp'); ?><br><br></small></div>
</td>

</tr>



<tr><td colspan=4 style="padding: 15px 15px 0px;"><hr></td></tr>
<tr><td colspan=4>
<table class="form-table" border=0>
        <tr>
          <td style="padding: 0 0px;"><h3 style="/*color: #717b82;*/ padding: 0 0px;">
			  <?php echo esc_html__( 'Додаткові параметри товару', 'solass-wp' ); ?></h3></td>
        </tr>
</table>
</td></tr>
<tr>
		<th scope="row" class="align-right"><label for="solass_wp_prod_text_var"><?php echo esc_html__( 'Текстовий додатковий параметр', 'solass-wp'); ?>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top" style="width: 350px">
					<div class="swp-tooltip-inner">
						<strong>Функція дозволяє</strong> внести додатковий параметр для товару, а також вивести його значення у зручному місці сторінки. <br>
						<strong>Місце виводу інформації</strong> можна налаштувати як за допомогою додаткових параметрів "Місце на сторінці" та "Пріоритет", 
						або додавши код отримання параметру у місця сторінок де вам необхідно  <br><br>
						<strong>PHP-код отримання даних <br>для встановлення у коді сторінок:</strong> <br> 
						<div style="background-color: #e6e6e6; margin-top: 5px;"><code>get_post_meta( $post->ID, <span style="background-color: #000; color: #fff">'swp_custom_prod_text'</span>, true );</code></div>
						<br>
											<strong>Місце розміщення форми на адмін-сторінці товару:</strong> <br> 
						<img src="../wp-content/plugins/solass-wp-settings/images/help/help-info-woo-txt-var.jpg" style="margin-top: 5px;">
</div>
				</div>
			</div></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_prod_text_var" name="solass_wp_prod_text_var" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_prod_text_var', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Функція додає текстову форму для виводу власних даних на сторінці продукту.', 'solass-wp'); ?> <br><br></small></div>
		</td>

<td class="vertical-top" colspan="2" style="min-width:50%;"><div style="width: 200px"></div>
<div style="display: flex;">
<div style="width: 50%;">
	
<label for="solass_wp_prod_text_var_position" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Місце на сторінці', 'solass-wp'); ?></label><br><br>
<div class="radio_switch">
<label class="switch">
<input id="solass_wp_prod_text_var_position" name="solass_wp_prod_text_var_position" type="radio" checked="checked"><span class="slider_radio round"><span><?php echo esc_html__( 'Вимк.', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_prod_text_var_position" name="solass_wp_prod_text_var_position" type="radio" <?php if(esc_attr( get_option( 'solass_wp_prod_text_var_position', '' ) ) == "woocommerce_single_product_summary") echo 'checked="checked"'; ?> value="woocommerce_single_product_summary"><span class="slider_radio round"><span><?php echo esc_html__( 'верх', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_prod_text_var_position" name="solass_wp_prod_text_var_position" type="radio" <?php if(esc_attr( get_option( 'solass_wp_prod_text_var_position', '' ) ) == "woocommerce_after_single_product_summary") echo 'checked="checked"'; ?> value="woocommerce_after_single_product_summary"><span class="slider_radio round"><span><?php echo esc_html__( 'низ', 'solass-wp'); ?></span></span>
</label>
</div>
</div>

<div style="width: 50%">
<label for="solass_wp_prod_text_var_prioritet" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Пріоритет виводу', 'solass-wp'); ?></label><br><br>
<input type="number" style="width: 50%" name="solass_wp_prod_text_var_prioritet" id="solass_wp_prod_text_var_prioritet" value="<?php echo esc_attr( get_option( 'solass_wp_prod_text_var_prioritet', '' ) ); ?>" /><br>
</div>

</div>
<div class="margin-top-15" style="max-width: 80%; margin-top: 15px;"><small><?php echo __( 'Вкажіть місце інформації на сторінці карточки товару та цифру пріоритету послідовності виводу відносно інших блоків.', 'solass-wp'); ?><br>
<?php echo __( 'Також ви можете вивести дані форми за допомогою власного коду. Назва параметру форми - ', 'solass-wp'); ?><code>swp_custom_prod_text</code> 
<br><br></small>
</div>

</td>
</tr>

<tr>
		<th scope="row" class="align-right"><label for="solass_wp_prod_file"><?php echo esc_html__( 'Файл для завантаження', 'solass-wp'); ?>
			<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
				<div class="swp-tooltip swp-top" style="width: 350px">
					<div class="swp-tooltip-inner">
						<strong>Функція дозволяє</strong> завантажити файл презентації чи зображення для товару і вивести його у потрібному місці сторінки. За замовчуванням виводиться у вигляді кнопки для завантаження файлу.<br>
						<strong>Місце виводу інформації</strong> можна налаштувати як за допомогою додаткових параметрів "Місце на сторінці" та "Пріоритет", 
						або додавши код отримання параметру у місця сторінок де вам необхідно  <br><br>
						<strong>PHP-код отримання даних <br>для встановлення у коді сторінок:</strong> <br> 
						<div style="background-color: #e6e6e6; margin-top: 5px;"><code>get_post_meta( $post->ID, <span style="background-color: #000; color: #fff">'swp_custom_prod_file'</span>, true );</code></div>
						<br>
											<strong>Місце розміщення форми на адмін-сторінці товару:</strong> <br> 
						<img src="../wp-content/plugins/solass-wp-settings/images/help/help-info-woo-file-var.jpg" style="margin-top: 5px;">
</div>
				</div>
			</div></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="solass_wp_prod_file" name="solass_wp_prod_file" type="checkbox" <?php if(esc_attr( get_option( 'solass_wp_prod_file', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
			<div class="margin-top-15" style="max-width: 70%"><small><?php echo esc_html__( 'Функція додає текстову форму для виводу власних даних на сторінці продукту.', 'solass-wp'); ?> <br><br></small></div>
		</td>

<td class="vertical-top" colspan="2" style="min-width:50%;"><div style="width: 200px"></div>
<div style="display: flex;">
<div style="width: 50%;">
	
<label for="solass_wp_prod_file_position" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Місце на сторінці', 'solass-wp'); ?></label><br><br>
<div class="radio_switch">
<label class="switch">
<input id="solass_wp_prod_file_position" name="solass_wp_prod_file_position" type="radio" checked="checked"><span class="slider_radio round"><span><?php echo esc_html__( 'Вимк.', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_prod_file_position" name="solass_wp_prod_file_position" type="radio" <?php if(esc_attr( get_option( 'solass_wp_prod_file_position', '' ) ) == "woocommerce_single_product_summary") echo 'checked="checked"'; ?> value="woocommerce_single_product_summary"><span class="slider_radio round"><span><?php echo esc_html__( 'верх', 'solass-wp'); ?></span></span>
</label><label class="switch">
<input id="solass_wp_prod_file_position" name="solass_wp_prod_file_position" type="radio" <?php if(esc_attr( get_option( 'solass_wp_prod_file_position', '' ) ) == "woocommerce_after_single_product_summary") echo 'checked="checked"'; ?> value="woocommerce_after_single_product_summary"><span class="slider_radio round"><span><?php echo esc_html__( 'низ', 'solass-wp'); ?></span></span>
</label>
</div>
</div>

<div style="width: 50%">
<label for="solass_wp_prod_file_prioritet" style="line-height: 1.3; font-weight: 600;"><?php echo esc_html__( 'Пріоритет виводу', 'solass-wp'); ?></label><br><br>
<input type="number" style="width: 50%" name="solass_wp_prod_file_prioritet" id="solass_wp_prod_file_prioritet" value="<?php echo esc_attr( get_option( 'solass_wp_prod_file_prioritet', '' ) ); ?>" /><br>
</div>

</div>
<div class="margin-top-15" style="max-width: 80%; margin-top: 15px;"><small><?php echo __( 'Вкажіть місце інформації на сторінці карточки товару та цифру пріоритету послідовності виводу відносно інших блоків.', 'solass-wp'); ?><br>
<?php echo __( 'Також ви можете вивести дані форми за допомогою власного коду. Назва параметру форми - ', 'solass-wp'); ?><code>swp_custom_prod_file</code> 
<br><br></small>
</div>

</td>

</tr>




<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Інформаційні блоки на сторінках магазину', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
<th scope="row" class="align-right"><label for=""><?php echo __( 'Текст внизу вартості продукції', 'solass-wp'); ?></label>
<?php solass_wp_polylang_active_lang('solass_wp_admin_woo_price_text');  // Функція виводу мов та присутності інформації ?>
</th> 
<td class="vertical-top" colspan="3" style="">
<?php 
	// Ваш параметр со стилями для добавления внутрь редактора (нужно объявить до его открытия)
	$editor_custom_styles = 'body#tinymce.wp-editor { padding: 7px !important; }';
	swp_active_editor_custom_styles('solass_wp_admin_woo_price_text'.SOLASS_WP_POLYLANG_LANG, $editor_custom_styles); // ID-открываемого редактора + переменная кода стилей

	$editor_css = '<style> </style>'; // Стиль НЕ ДЛЯ КОНТКНТА редактора, а для всей панели редактора
	$settings = array( 
					  'editor_css' => $editor_css, 
					  'content_style' => $editor_css,
					  'textarea_rows' => 5,
					  'teeny' => false, 
					  /*					  
					  'tinymce' => array(
					  'toolbar1' => 'formatselect, bold, italic, bullist, numlist, alignleft, aligncenter, alignright, link, unlink, blockquote, undo, redo',
					  'toolbar2' => 'styleselect, underline, alignjustify, forecolor, pastetext, removeformat, charmap, outdent, indent, ltr, rtl, wp_adv',
      				  'block_formats' => 'Paragraph=p; Heading 2=h2; Heading 3=h3; Heading 4=h4; Heading 5=h5; Heading 6=h6; Preformatted=pre',
 					   ), 
					   */
					  //'editor_height' => 150, 
					  'dfw' => true, 
					  'quicktags' => true, 
					  'media_buttons' => true );
	wp_editor( get_option( 'solass_wp_admin_woo_price_text'.SOLASS_WP_POLYLANG_LANG, '' ), 'solass_wp_admin_woo_price_text'.SOLASS_WP_POLYLANG_LANG, $settings ); 
?>

</td>
</tr>


<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Вибір аттрибутів для товару що має вартість НУЛЬ', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label for="swp_product_attribute_woo_on"><?php echo esc_html__( 'Включити/відключити аттрибут', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div>
				<label class="switch">
				<input id="swp_product_attribute_woo_on" name="swp_product_attribute_woo_on" type="checkbox" <?php if(esc_attr( get_option( 'swp_product_attribute_woo_on', '' ) )) echo 'checked="checked"'; ?>><span class="slider round"></span>
				</label>
			</div>
<div class="margin-top-15" style="max-width: 90%">
<div class="swp-hint swp-loaded swp-theme-style" style="text-align: left; font-style: normal;">
<div class="swp-tooltip swp-top">
<div class="swp-tooltip-inner">
<strong><?php echo esc_html__( 'Можливості функції:', 'solass-wp'); ?></strong> <br>
<?php echo esc_html__( 'Дана функція дозволяє массово додати необхідний аттрибут (приклад: "Розрахунок ціни") для товарів з не визначеною ціною.', 'solass-wp'); ?> <br><br>	
<strong><?php echo esc_html__( '* Для роботи функції', 'solass-wp'); ?> </strong><?php echo esc_html__( 'параметри нижче: "Аттрибут товару" та "Опції аттрибуту" - обов`язкові.', 'solass-wp'); ?><br><br>	
<?php echo esc_html__( 'Для відключення автоматичного атрибуту і видалення його скрізь де він проставлений необхідно просто вимкнути функцію при цьому залишити зазначений нижче аттрибут, який ви хочете видалити/очистити.', 'solass-wp'); ?> <br><br>	
<?php echo esc_html__( 'Режими очищення чи додавання аттрибуту працюють тільки якщо зазначені у формах нижче ім`я аттрибуту та його опції.', 'solass-wp'); ?> <br><br>	
<?php echo esc_html__( 'Для переходу виводу аттрибутів у стандартному режимі без видалення автоматично доданих достатньо просто очистити форми з ім`ям аттрибуту та його опціями.', 'solass-wp'); ?> <br><br>	
</div>
</div>
</div>
	
<small><?php echo esc_html__( 'Функція додасть зазначений нижче аттрибут до всих товарів у яких не зазначена вартість.', 'solass-wp'); ?> 
<br>
<i><?php echo esc_html__( '* Для роботи функції параметри "Аттрибут товару" та "Опції аттрибуту" - обов`язкові.', 'solass-wp'); ?> </i>
<br><br></small></div>
		</td>
		<th scope="row" class="align-right"><label for="swp_product_attribute_info"></label></th> 
		<td class="vertical-top">
			
<?php  if(esc_attr( get_option( 'swp_product_attribute_woo_on', '' ) ) &&  esc_attr( get_option( 'swp_product_attribute_woo_options', '' ) ) && esc_attr( get_option( 'swp_product_attribute_woo_name', '' ) ) ) { ?>
<div class="ssl-info margin-width-12 ssl-error" style="padding: 12px;">
<div class="text-info"><div><h4 style="font-size: 18px; margin-top: 10px; margin-bottom: 0.4em"><?php echo esc_html__( 'Режим додавання аттрибуту до товару без ціни', 'solass-wp'); ?></h4>
<?php echo esc_html__( 'До товарів без вказаної ціни автоматично додається аттрибут "'.wc_attribute_label( esc_attr( get_option( 'swp_product_attribute_woo_name', '' ) ) ).' - '.get_term( (int)esc_attr( get_option( 'swp_product_attribute_woo_options', '' )[0] ) )->name.'"', 'solass-wp'); ?> <!-- <br><br>
	<label for="swp_product_attribute_woo_on"><span class="nowrap- nowrap- button button-primary- send-form" style="padding: 0 10px; font-size: 14px"><?php echo esc_html__( 'Відключити аттрибут', 'solass-wp'); ?></span></label>--></div>
</div>
</div>
<?php  } elseif( !esc_attr( get_option( 'swp_product_attribute_woo_on', '' ) ) &&  esc_attr( get_option( 'swp_product_attribute_woo_options', '' ) ) && esc_attr( get_option( 'swp_product_attribute_woo_name', '' ) )  ) { ?>
<div class="ssl-info margin-width-12 ssl-error ssl-error-info" style="padding: 12px;">
<div class="text-info-info"><div><h4 style="font-size: 18px; margin-top: 10px; margin-bottom: 0.4em"><?php echo esc_html__( 'Режим автоматичного відключення аттрибуту', 'solass-wp'); ?></h4>
<?php echo esc_html__( 'Ведеться видалення/вимикнення аттрибуту "'.wc_attribute_label( esc_attr( get_option( 'swp_product_attribute_woo_name', '' ) ) ).' - '.get_term( (int)esc_attr( get_option( 'swp_product_attribute_woo_options', '' )[0] ) )->name.'" у товарів де не зазначена ціна.', 'solass-wp'); ?>
</div>
</div>
</div>
<?php } else { ?>
<div class="ssl-info margin-width-12 ssl-ok ssl-ok-info" style="padding: 12px;">
<div class="text-info-info"><div><h4 style="font-size: 18px; margin-top: 10px; margin-bottom: 0.4em"><?php echo esc_html__( 'Стандартний режим виводу аттрибутів', 'solass-wp'); ?></h4>
<?php echo esc_html__( 'Вивід аттрибутів виконується у звичному режимі без додавання або видалення вибранного нижче аттрибуту.', 'solass-wp'); ?> <br><br>
</div>
</div>
</div>
<?php } ?>

<br><i><strong><?php echo esc_html__( '!!!УВАГА!!! ', 'solass-wp'); ?></strong><?php echo esc_html__( 'Робота функції не в "стандартному режимі" може уповільнювати роботу сайту на сторінках зі списком товарів, або на сторінці товару.', 'solass-wp'); ?></i><br> 
</td>
</tr>

<tr>
		<th scope="row" class="align-right"><label for="swp_product_attribute_woo_name"><?php echo esc_html__( 'Аттрибут товару *', 'solass-wp'); ?></label></th>
		<td class="vertical-top"><div style="width: 200px"></div>
			<div class="info_position select_page no_move" style="padding: 0; margin: 0; background-color: transparent">
<select name="swp_product_attribute_woo_name" style="padding-top: 0">
<option value=""><?php echo esc_html__( 'Виберіть аттрибут', 'solass-wp');?></option>
<?php  
$taxonomies = get_taxonomies();  
$solass_wp_post_type_active = "";
foreach ( $taxonomies as $taxonomy ) { 
	if(strncmp($taxonomy, "pa_", strlen("pa_")) === 0) {
	if(esc_attr( get_option( 'swp_product_attribute_woo_name', '' ) ) == $taxonomy) { $solass_wp_post_type_active = $taxonomy; $selected = 'selected="selected"'; } else { $selected = ''; }
	echo '<option value="' . $taxonomy . '" '.$selected.'>' . wc_attribute_label($taxonomy) . '</option>'; 
	}
} ?>
</select>
</div>
<div class="margin-top-15" style="max-width: 90%"><small><?php echo esc_html__( 'Виберіть аттрибут, а в наступній формі його показники.', 'solass-wp'); ?> <br><br></small></div>
</td>

<th scope="row" class="align-right"><label for="swp_product_attribute_woo_options"><?php echo esc_html__( 'Опції аттрибуту *', 'solass-wp'); ?></label></th> 
<td class="vertical-top">

<?php //print_r ($solass_wp_tax_input = get_option( 'solass_wp_tax_input', '' )); echo '<br><br>'; ?>
<div class="solass_wp_search_page">
<input type="hidden" id="<?php echo $var_solass_wp_arr = "swp_product_attribute_woo_options"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = get_option( $var_solass_wp_arr, '' );
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = "on"; // что-то написать если это таксономия
	$solass_wp_post_type = $solass_wp_post_type_active; //"pa_backorder"; //page post key taxonomy-NAME-napisat(product_cat или category) для списка плагинов - active_plugins
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
if($solass_wp_post_type == "active_plugins") { 
		$plugins = get_plugins();
		foreach ($plugins as $plugin_file => $plugin_data) {
    		$plugin_path = plugin_basename( $plugin_file );
			if($plugin_path == $solass_wp_id_page) {  
			echo '<li class="solass_wp_select_form_choice" title="'.$plugin_data['Name'].'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$plugin_data['Name'].'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$plugin_path.'"></li>'; 
			}
		}
 } else {
	if($solass_wp_post_type && $solass_wp_id_input) {
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
 }
}
}
} 
	if( $type_input == "one_page" && (!$solass_wp_id_input || !$solass_wp_post_type) ) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<script>
// -------- Переносим выбранные данные из одной формы в другую форму  ----------
// ------- реализуется в настройках Woocommerce для выбора Аттрибутов  ----------
document.addEventListener('DOMContentLoaded', function() {
    // Находим все <select> на странице
    var selectElements = document.querySelectorAll('select[name="swp_product_attribute_woo_name"]');
    // Добавляем обработчик события изменения для каждого <select>
    selectElements.forEach(function(selectElement) {
        selectElement.addEventListener('change', function() {
            // Находим ближайший родительский <tr>
            var parentTr = this.closest('tr');
            // Находим внутри <tr> элемент <input> с классом solass_wp_search_field
            var inputElement = parentTr.querySelector('.solass_wp_search_field');
            // Обновляем значение атрибута post_type в <input> при выборе нового значения в <select>
            inputElement.setAttribute('post_type', this.value);
        });
    });
});
</script>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>
<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo esc_html__( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && isset($solass_wp_id_page)) {  
if($solass_wp_post_type == "product_cat") {
$edit_url_post = "term.php?taxonomy=product_cat&post_type=product&tag_ID=".$solass_wp_id_page;
} else {
$edit_url_post = "post.php?post=".$solass_wp_id_page."&action=edit";
}
?>
<div class="margin-top-10 edit_page_link display-none"><small><a href="<?php echo $edit_url_post; ?>" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo esc_html__( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>
<div class="margin-top-15" style="max-width: 80%"><small><?php echo __( 'Виберіть значення параметру/опції зазначеного раніше аттрибуту для товарів, що мають вартість НУЛЬ.', 'solass-wp'); ?><br><br></small></div>
</td>




</tr>



<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Управління виводом вкладок інтернет-магазину на сторінці товару', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Вкладки карточки товару', 'solass-wp'); ?></label></th>
		<td class="vertical-top" colspan=3><div style="width: 200px"></div>
			<div>
<?php 
$woo_tabs_arrey = get_option( 'woo_tabs_arrey', '' );

if (!$woo_tabs_arrey) {
$woo_tabs_arrey = array(
'1' => array ( 'unset' => false, 'title' => '',	'tabs' => 'description', 'priority' => 1 ),
'2' => array ( 'unset' => false, 'title' => '', 'tabs' => 'additional_information',	'priority' => 2 ),
'3' => array ( 'unset' => false, 'title' => '',	'tabs' => 'reviews', 'priority' => 3 ),
'4' => array ( 'unset' => false, 'title' => '',	'tabs' => 'wd_additional_tab', 'priority' => 4 )
);
}

$number_tab = 0;
//print_r($woo_tabs_arrey);
?>
<div class="move_container" id="move_container">
		<input type="hidden" name="woo_tabs_arrey">
<?php foreach ( $woo_tabs_arrey as $key => $tab ) { 
	$number_tab = $number_tab + 1;
	if($tab['tabs'] == "description") { $placeholder = 'Description'; $readonly = "readonly";
	} elseif($tab['tabs'] == "reviews") { $placeholder = 'Reviews'; $readonly = "readonly";
	} elseif($tab['tabs'] == "additional_information") { $placeholder = 'Additional information'; $readonly = "readonly";
	} elseif($tab['tabs'] == "wd_additional_tab") { $placeholder = __( 'Shipping', 'woocommerce' ).__( ' (вкладка теми WoodMart)', 'solass-wp' ); $readonly = "readonly";
	} else { $placeholder = ''; $readonly = "readonly";}
	if(isset($tab['unset'])) { $prozrachnost = 'style="opacity: 0.5;"'; } else { $prozrachnost = ''; } 
	$tab['tabs'] = str_replace(" ", "_", $tab['tabs']);
	
	if(!$tab['close'] && $tab['tabs']) {
?>
<div class="info_position select_page" <?php echo $prozrachnost;?>>
			<label for='' style='padding: 0 15px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input name='woo_tabs_arrey[<?php echo $number_tab;?>][unset]' type='checkbox' <?php if(isset($tab['unset'])) { echo "checked='checked'"; } ?>></label>
			<div><small><?php echo esc_html__( 'Назва', 'solass-wp'); ?></small><input type="text" name="woo_tabs_arrey[<?php echo $number_tab;?>][title]" placeholder="<?php echo esc_html__( $placeholder, 'woocommerce' ); ?>" value="<?php echo $tab['title'];?>"></div> 




<div class="solass_wp_search_page"><div class="tripoint"><small><?php echo esc_html__( 'Сторінка у вкладці', 'solass-wp'); ?></small></div>
<input type="hidden" id="<?php echo $var_solass_wp_arr = "woo_tabs_arrey[".$number_tab."][page]"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = $tab['page']; //get_option( $var_solass_wp_arr, '' );
	$tab['page'] = null;
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "page"; //page post key taxonomy-NAME-napisat(product_cat или category)
	//print_r($solass_wp_id_input);
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="' . $page_info->my_title . '" type_input="' . $type_input . '"><span class="solass_wp_delbutton" role="presentation">×</span>' . $page_info->my_title . $solass_wp_text_id . '<input type="hidden" name="' . $var_solass_wp_arr . '[]" value="' . $solass_wp_id_page . '"></li>'; 
	} 
	}
	if( $type_input == "one_page" && !is_array($solass_wp_id_input)) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>

<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && isset($solass_wp_id_page) && is_array($solass_wp_id_input)) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo __( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>






<div><div class="tripoint"><small><?php echo esc_html__( 'ID вкладки', 'solass-wp'); ?></small></div><input type="text" var="tabs_id" name="woo_tabs_arrey[<?php echo $number_tab;?>][tabs]" value="<?php if(!$placeholder){ echo esc_attr( solass_wp_translit($tab['tabs']) ); } else { echo esc_attr($tab['tabs'] ); } ?>" <?php echo $readonly;?>></div>
<div but="del_korzina"><div><small><?php if($placeholder){echo " ";} else {echo esc_html__( 'Del', 'solass-wp');} ?></small></div><div class="<?php if($placeholder){echo "no_";} ?>del_korzina" title="<?php if(!$placeholder){echo esc_html__( 'Delete' );} ?>"></div></div>

<input type="hidden" var="del_tab" name="woo_tabs_arrey[<?php echo $number_tab;?>][close]" value="">
<input type="hidden" var="priority" name="woo_tabs_arrey[<?php echo $number_tab;?>][priority]" value="<?php echo $tab['priority'];?>">
</div>
<?php 

	} 
}
?>


<div class="info_position select_page new_tab">
			<label for='' style='padding: 0 15px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input name='woo_tabs_arrey[<?php echo $number_tab+1;?>][unset]' type='checkbox'></label>
			<div><small><?php echo esc_html__( 'Назва', 'solass-wp'); ?></small><input type="text" name="woo_tabs_arrey[<?php echo $number_tab+1;?>][title]" value=""></div> 


<div class="solass_wp_search_page"><div class="tripoint"><small><?php echo esc_html__( 'Сторінка у вкладці', 'solass-wp'); ?></small></div>
<input type="hidden" id="<?php echo $var_solass_wp_arr = "woo_tabs_arrey[".($number_tab+1)."][page]"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = ""; //get_option( $var_solass_wp_arr, '' );
	$tab['page'] = null;
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "page"; //page post key taxonomy-NAME-napisat(product_cat или category)
	//print_r($solass_wp_id_input);
	if($solass_wp_id_input){
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
}
	}
	if( $type_input == "one_page" && !is_array($solass_wp_id_input)) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>

<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && !empty($solass_wp_id_page) && is_array($solass_wp_id_input)) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo __( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>

<div><div class="tripoint"><small><?php echo esc_html__( 'ID вкладки *', 'solass-wp'); ?></small></div><input type="text" name="woo_tabs_arrey[<?php echo $number_tab+1;?>][tabs]" value=""></div>
<div but="del_korzina"><div><small><?php echo esc_html__( 'Del', 'solass-wp'); ?></small></div><div class="del_korzina new_tab_korzina" title="<?php echo esc_html__( 'Delete' ); ?>"></div></div>
<input type="hidden" var="new_close" name="woo_tabs_arrey[<?php echo $number_tab+1;?>][close]" value="1">
<input type="hidden" var="priority" name="woo_tabs_arrey[<?php echo $number_tab+1;?>][priority]" value="<?php echo $tab['priority']+1;?>">
</div>


</div>

<div class="info_position select_page new_tab_button">
<div><span>&nbsp;</span><br><input class="button button-primary-" type="button" value="Додати нову вкладку"></div>
</div>




			</div>
			<div class="margin-top-15" style="max-width: 60%"><small><?php echo esc_html__( 'Цей розділ налаштувань дозволяє управляти виводом вкладок на сторінці карточки товару інтернет магазину. Завдяки цій функції ви можете відключати вкладки, міняти їх послідовність та назву.', 'solass-wp'); ?> <br><br>
<em><strong><?php echo esc_html__( 'Інші плагіни або налаштування теми/шаблону можуть примусово змінити ваші налаштування.', 'solass-wp'); ?></strong></em><br><br></small></div>
		</td>
</tr>




<tr><td colspan=4><hr></td></tr>
<tr><td colspan=4 style="padding: 0 0 15px 0;">
<h3 style="padding: 0 0px;"><?php echo esc_html__( 'Користувацькі сторінки аккаунту користувача WooCommerce', 'solass-wp' ); ?></h3>
</td></tr>

<tr>
		<th scope="row" class="align-right"><label><?php echo esc_html__( 'Сторінки меню аккаунта', 'solass-wp'); ?></label></th>
		<td class="vertical-top" colspan=3><div style="width: 200px"></div>
			<div>
<?php 
$woo_acc_menu_arrey = get_option( 'woo_acc_menu_arrey', '' );
/*
if (!$woo_acc_menu_arrey) {
$woo_acc_menu_arrey = array(
'1' => array ( 'unset' => false, 'title' => '',	'tabs' => 'description', 'priority' => 1 ),
'2' => array ( 'unset' => false, 'title' => '', 'tabs' => 'additional_information',	'priority' => 2 ),
'3' => array ( 'unset' => false, 'title' => '',	'tabs' => 'reviews', 'priority' => 3 ),
'4' => array ( 'unset' => false, 'title' => '',	'tabs' => 'wd_additional_tab', 'priority' => 4 )
);
}
*/
$number_tab = 0;
/*
echo "----------- <br>";
print_r($woo_acc_menu_arrey);
echo "----------- <br>";
*/
?>
<div class="move_container" id="move_container2">
		<input type="hidden" name="woo_acc_menu_arrey">
<?php foreach ( $woo_acc_menu_arrey as $key => $tab ) { 
	$number_tab = $number_tab + 1;
	if($tab['tabs'] == "description") { $placeholder = 'Description'; $readonly = "readonly";
	} elseif($tab['tabs'] == "reviews") { $placeholder = 'Reviews'; $readonly = "readonly";
	} elseif($tab['tabs'] == "additional_information") { $placeholder = 'Additional information'; $readonly = "readonly";
	} elseif($tab['tabs'] == "wd_additional_tab") { $placeholder = __( 'Shipping', 'woocommerce' ).__( ' (вкладка теми WoodMart)', 'solass-wp' ); $readonly = "readonly";
	} else { $placeholder = ''; $readonly = "readonly";}
	if(isset($tab['unset'])) { $prozrachnost = 'style="opacity: 0.5;"'; } else { $prozrachnost = ''; } 
	$tab['tabs'] = str_replace(" ", "_", $tab['tabs']);
	
	if(!$tab['close'] && $tab['tabs']) {
?>
<div class="info_position select_page" <?php echo $prozrachnost;?>>
<label for='' style='padding: 0 15px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input name='woo_acc_menu_arrey[<?php echo $number_tab;?>][unset]' type='checkbox' <?php if(isset($tab['unset'])) { echo "checked='checked'"; } ?>></label>
<div class="solass_dashicons_form" style="min-width: 80px;">
<div class="tripoint"><small><?php echo esc_html__( 'icon', 'solass-wp'); ?></small></div>
<div class="prew_dashicons_form"><input type="hidden" name="woo_acc_menu_arrey[<?php echo $number_tab;?>][icon]" value="<?php echo esc_attr($tab['icon']); ?>">
<div class="prewicons" style="<?php if (!esc_attr($tab['icon'])) echo "display: none;"; ?>" title="<?php echo esc_html__( 'Видалити іконку', 'solass-wp'); ?>"><span class="dashicons <?php echo esc_attr($tab['icon']); ?>"></span></div>
<div class="addicons" title="<?php echo esc_html__( 'Додати іконку', 'solass-wp'); ?>"></div></div>
<div class="solass_dashicons_grid position-absolute small_col" style="display: none;"><?php solass_wp_icon_dashicons(); // Выводим список иконок ?></div>
</div>
			<div><small><?php echo esc_html__( 'Назва', 'solass-wp'); ?></small><input type="text" name="woo_acc_menu_arrey[<?php echo $number_tab;?>][title]" placeholder="<?php echo esc_html__( $placeholder, 'woocommerce' ); ?>" value="<?php echo $tab['title'];?>"></div> 


<div class="solass_wp_search_page"><div class="tripoint"><small><?php echo esc_html__( 'Сторінка з інфо', 'solass-wp'); ?></small></div>
<input type="hidden" id="<?php echo $var_solass_wp_arr = "woo_acc_menu_arrey[".$number_tab."][page]"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = $tab['page']; //get_option( $var_solass_wp_arr, '' );
	$tab['page'] = null;
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "page"; //page post key taxonomy-NAME-napisat(product_cat или category)
	//print_r($solass_wp_id_input);
	if($solass_wp_id_input) {
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="' . $page_info->my_title . '" type_input="' . $type_input . '"><span class="solass_wp_delbutton" role="presentation">×</span>' . $page_info->my_title . $solass_wp_text_id . '<input type="hidden" name="' . $var_solass_wp_arr . '[]" value="' . $solass_wp_id_page . '"></li>'; 
	} 
	}
	if( $type_input == "one_page" && !is_array($solass_wp_id_input)) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>

<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && isset($solass_wp_id_page) && is_array($solass_wp_id_input)) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo __( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>




<div><div class="tripoint"><small><?php echo esc_html__( 'ID сторінки', 'solass-wp'); ?></small></div><input type="text" var="tabs_id" name="woo_acc_menu_arrey[<?php echo $number_tab;?>][tabs]" value="<?php echo esc_attr( solass_wp_translit($tab['tabs']) ); ?>" <?php echo $readonly;?>></div>
<div but="del_korzina"><div><small><?php if($placeholder){echo " ";} else {echo esc_html__( 'Del', 'solass-wp');} ?></small></div><div class="<?php if(isset($placeholder)){echo "no_offf ";} ?>del_korzina" title="<?php if(!$placeholder){echo esc_html__( 'Delete' );} ?>"></div></div>

<input type="hidden" var="del_tab" name="woo_acc_menu_arrey[<?php echo $number_tab;?>][close]" value="">
<input type="hidden" var="priority" name="woo_acc_menu_arrey[<?php echo $number_tab;?>][priority]" value="<?php echo $tab['priority'];?>">
</div>
<?php 

	} 
}
?>


<div class="info_position select_page new_tab">
			<label for='' style='padding: 0 15px 0 10px;'><small><?php echo esc_html__( 'Hide', 'solass-wp'); ?></small><input name='woo_acc_menu_arrey[<?php echo $number_tab+1;?>][unset]' type='checkbox'></label>
<div class="solass_dashicons_form" style="min-width: 80px;">
<div class="tripoint"><small><?php echo esc_html__( 'icon', 'solass-wp'); ?></small></div>
<div class="prew_dashicons_form"><input type="hidden" name="woo_acc_menu_arrey[<?php echo $number_tab+1;?>][icon]" value="">
<div class="prewicons" style="<?php if (!esc_attr($tab['icon'])) echo "display: none;"; ?>" title="<?php echo esc_html__( 'Видалити іконку', 'solass-wp'); ?>"><span class="dashicons "></span></div>
<div class="addicons" title="<?php echo esc_html__( 'Додати іконку', 'solass-wp'); ?>"></div></div>
<div class="solass_dashicons_grid position-absolute small_col" style="display: none;"><?php solass_wp_icon_dashicons(); // Выводим список иконок ?></div>
</div>

<div><small><?php echo esc_html__( 'Назва', 'solass-wp'); ?></small><input type="text" name="woo_acc_menu_arrey[<?php echo $number_tab+1;?>][title]" value=""></div> 

<div class="solass_wp_search_page"><div class="tripoint"><small><?php echo esc_html__( 'Сторінка з інфо', 'solass-wp'); ?></small></div>
<input type="hidden" id="<?php echo $var_solass_wp_arr = "woo_acc_menu_arrey[".($number_tab+1)."][page]"; ?>" name="<?php echo $var_solass_wp_arr; ?>" class="arr_input" size="16" value="" aria-describedby="new-tag-post_tag-desc" autocomplete="off" />
<span class="solass_wp_select_container" dir="ltr" style="">
<span class="selection">
<span class="solass_wp_select_form_parametr" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" active="">
<ul class="solass_wp_input_var">
<span class="solass_wp_selection_clear">×</span>
<span class="solass_wp_tagchecklist">
	<?php // Обрабатываем записанные параметры 
	$solass_wp_id_input = null;
	$solass_wp_id_input = ""; //get_option( $var_solass_wp_arr, '' );
	$tab['page'] = null;
	$type_input = "one_page"; // "multy_page" - несколько выбранных элементов, "one_page" - 1 выбранный элемент
	$taxonomy_on = ""; // что-то написать если это таксономия
	$solass_wp_post_type = "page"; //page post key taxonomy-NAME-napisat(product_cat или category)
	//print_r($solass_wp_id_input);
	if($solass_wp_id_input){
    foreach ($solass_wp_id_input as $solass_wp_id_page) { 
	$page_info = null;
	$page_info = solass_wp_get_page_by_id($solass_wp_post_type, $solass_wp_id_page);
	$solass_wp_text_id = "";
	//if ($solass_wp_post_type == "page" || $solass_wp_post_type == "post") { $solass_wp_text_id = " (ID:".(int)$solass_wp_id_page.")"; }
    echo '<li class="solass_wp_select_form_choice" title="'.$page_info->my_title.'" type_input="'.$type_input.'"><span class="solass_wp_delbutton" role="presentation">×</span>'.$page_info->my_title.$solass_wp_text_id.'<input type="hidden" name="'.$var_solass_wp_arr.'[]" value="'.$solass_wp_id_page.'"></li>'; 
}
	}
	if( $type_input == "one_page" && !is_array($solass_wp_id_input)) { 
	echo '<li class="solass_wp_select_form_choice" type_input="'.$type_input.'">&nbsp;<input type="hidden" value=""></li>'; 
	}
    ?>
</span>				
<li class="solass_wp_input_search_form" type_input="<?php echo $type_input; ?>"><input class="solass_wp_search_field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="textbox" aria-autocomplete="list" placeholder="" style="" name="search_query" value="" post_type="<?php echo $solass_wp_post_type; ?>" taxonomy="<?php echo $taxonomy_on; ?>" type_input="<?php echo $type_input; ?>">
</li>
</ul>
<span class="solass_wp_search_list" style="" post_type="<?php echo $solass_wp_post_type; ?>">
<span class="solass_wp_select_dropdown" dir="ltr" style="">
<span class="solass_wp_select_results">
<ul class="solass_wp_select_results_options_list search-results" role="tree" aria-multiselectable="true" id="" aria-expanded="true" aria-hidden="false">
</ul>
</span>
</span>
</span>
</span>

<div class="margin-top-10 solass_wp_add_input_button" post_type="<?php echo $solass_wp_post_type; ?>">
	<a href="#" id="solass_wp_add_input_var" class="wp_icons_before lite-button solass_wp_add_input_var"><?php echo __( 'Додати', 'solass-wp'); ?></a>
</div>
</span>
<?php if( $type_input == "one_page" && $solass_wp_id_page && is_array($solass_wp_id_input)) {  ?>
<div class="margin-top-10 edit_page_link"><small><a href="post.php?post=<?php echo $solass_wp_id_page; ?>&action=edit" id="" class="wp_icons_before small_link edit_icon size_icon_15" target=_blank><?php echo __( 'Редагувати сторінку', 'solass-wp'); ?></a></small></div>
<?php } ?>
</span>
</div>

<div><div class="tripoint"><small><?php echo esc_html__( 'ID сторінки *', 'solass-wp'); ?></small></div><input type="text" name="woo_acc_menu_arrey[<?php echo $number_tab+1;?>][tabs]" value=""></div>
<div but="del_korzina"><div><small><?php echo esc_html__( 'Del', 'solass-wp'); ?></small></div><div class="del_korzina new_tab_korzina" title="<?php echo esc_html__( 'Delete' ); ?>"></div></div>
<input type="hidden" var="new_close" name="woo_acc_menu_arrey[<?php echo $number_tab+1;?>][close]" value="1">
<input type="hidden" var="priority" name="woo_acc_menu_arrey[<?php echo $number_tab+1;?>][priority]" value="<?php echo $tab['priority']+1;?>">
</div>


</div>

<div class="info_position select_page new_tab_button">
<div><span>&nbsp;</span><br><input class="button button-primary-" type="button" value="Додати нову сторінку"></div>
</div>




			</div>
			<div class="margin-top-15" style="max-width: 60%"><small><?php echo esc_html__( 'Цей розділ налаштувань дозволяє додавати та управляти сторінками аккаунту користувача у інтернет магазині. Завдяки цій функції ви можете додавати сторінки аккаунту користувача, відключати додані, міняти їх послідовність та назву.', 'solass-wp'); ?> <br><br>
<em><strong><?php echo esc_html__( 'Інші плагіни або налаштування теми/шаблону можуть примусово змінити ваші налаштування.', 'solass-wp'); ?></strong></em><br><br></small></div>
		</td>
</tr>







</table>

</td>

<td class="vertical-top">
<table>
<tr>
		<th scope="row" class="align-right"><label for=""><?php if($login_changes_woo) { echo __( 'Виконані операції:', 'solass-wp'); } ?></label></th>
		<td class="vertical-top" rowspan=5><div style="width: 200px"></div>
			  <?php echo "<ul class='checklist_ok' style='margin-left: 15px; margin-top: 5px'>".wp_kses_post($login_changes_woo)."</ul>"; ?>
		</td>
</tr>
</table>
</td>
</tr>  
</table>

		      
<br>
      <?php submit_button(); ?>
	<footer class="submit_footer" style="display: flex;"> <?php submit_button(); ?> 
	<div style="margin-left: 50px">
	<div class="valign_text"><em><?php echo __( 'Внесені зміни збережуться тільки після натискання на кнопку.', 'solass-wp'); ?></em></div>
	</div></footer>
    </form>
  </div>

<style>	</style>
<?php 

// Включаем редактор-кода для textarea
// text/html, text/css, application/javascript, application/x-httpd-php
//solass_wp_css_editor($args_editor = array('textarea_id' => 'solass_wp_google_analytics', 'type_editor' => 'text/html')); 

}
