jQuery(document).ready(function($) {
// Вивід списів Хуків
	$('.hooks_list_a').click(function(event) {
		if($('.hooks_list').css('display') != 'none' ) {  
		$('.hooks_list').css('display', 'none');
		} else {  
		$('.hooks_list').css('display', 'block');
		}	
		return false;
	});


});

document.addEventListener("DOMContentLoaded", function() {
    // Функция для установки атрибута alt для img содержимым следующего span
    function setAltFromNextSpan(elements) {
        elements.forEach(item => {
            // Найти все img внутри этих элементов
            const imgs = item.querySelectorAll('img');
            imgs.forEach(img => {
                // Найти следующий соседний элемент span
                const nextSpan = img.nextElementSibling;
                // Проверить, является ли следующий элемент span
                if (nextSpan && nextSpan.tagName.toLowerCase() === 'span') {
                    // Установить атрибут alt для img содержимым span
                    img.alt = nextSpan.textContent.trim();
                }
            });
        });
    }

    // Найти все элементы с классом .pll-parent-menu-item и .lang-item
    const parentMenuItems = document.querySelectorAll('.pll-parent-menu-item');
    const parentMenuItemsMob = document.querySelectorAll('.lang-item');

    // Установить атрибут alt для img
    setAltFromNextSpan(parentMenuItems);
    setAltFromNextSpan(parentMenuItemsMob);
});


/* Скрипт що створює ярлики з текстом TITLE для зображень які мають класс js_title */
document.addEventListener('DOMContentLoaded', () => {
  // Проверяем, что все изображения загружены
  const images = document.querySelectorAll('.js_title .wd-gallery-item img');
  let loadedImagesCount = 0;

  images.forEach(img => {
    if (img.complete) {
      loadedImagesCount++;
    } else {
      img.addEventListener('load', () => {
        loadedImagesCount++;
        if (loadedImagesCount === images.length) {
          addAltTextToGalleryItems();
        }
      });
    }
  });

  if (loadedImagesCount === images.length) {
    addAltTextToGalleryItems();
  }

  function addAltTextToGalleryItems() {
    const galleryItems = document.querySelectorAll('.js_title .wd-gallery-item');

    galleryItems.forEach(item => {
      const img = item.querySelector('img[alt]');

      if (img) {
        const altText = img.getAttribute('alt');
        const beforeElement = document.createElement('div');

        beforeElement.style.position = 'absolute';
        beforeElement.style.right = '0';
        beforeElement.style.bottom = '0';
        beforeElement.style.backgroundColor = 'black';
        beforeElement.style.color = 'white';
        beforeElement.style.padding = '5px 15px';
        beforeElement.style.fontSize = '12px';
        beforeElement.textContent = altText;

        // Переконайтеся, що батьківський елемент розташований відносно, щоб абсолютне розташування працювало
        item.style.position = 'relative';
        item.appendChild(beforeElement);
      }
    });
  }
});



/*
jQuery( function( $ ) {
	$('.single_variation_wrap').on( 'show_variation', function( event, variation ) {
 
		// console.log( variation );
 
		let index = 0;
		if( variation.image.src ) {
			$( '.slider-for' ).find( 'img[src="' + variation.image.src + '"]' ).each( function() {
				if( ! $(this).parent().hasClass( 'slick-cloned' ) ) {
					index = $(this).parent().attr( 'data-slick-index' );
				}
			});
			$('.slider-nav').slick( 'slickGoTo', index );
		}
 
	} );
} );
*/

/* ------------- Функция замены "|" на <br> --------------------- */

// Найти все элементы с классом "price-heading"
//var HeadingElements = document.querySelectorAll('.price-heading');
// Массив с классами
var BRclassArray = ['.vert_br', '.class_br', '._br_', '.perenos_br'];
// Создание селектора с комбинированными классами
var BRselector = BRclassArray.join(', ');
// Найти все элементы с классами из массива
var HeadingElements = document.querySelectorAll(BRselector);

// Перебрать найденные элементы
HeadingElements.forEach(function(element) {
  replacePipeSymbol(element);
});

// Рекурсивная функция для замены символа "|" в элементе и его дочерних узлах
function replacePipeSymbol(element) {
  element.childNodes.forEach(function(node) {
    // Проверить тип узла (текстовый узел или элемент)
    if (node.nodeType === Node.TEXT_NODE) {
      // Получить текстовый контент узла
      var text = node.textContent;

      // Проверить, содержит ли текст символ "|"
      if (text.includes('|')) {
        // Заменить символ "|" на "<br>"
        var newText = text.replace(/\|/g, '<br>');

        // Создать временный элемент div для вставки HTML-кода
        var div = document.createElement('div');
        div.innerHTML = newText;

        // Вставить HTML-код в виде элементов
        while (div.firstChild) {
          element.insertBefore(div.firstChild, node);
        }

        // Удалить текущий текстовый узел
        element.removeChild(node);
      }
    } else if (node.nodeType === Node.ELEMENT_NODE) {
      // Если узел является элементом, вызвать функцию для замены символа "|"
      replacePipeSymbol(node);
    }
  });
}

/*------------ Скрипт меняет в определенных классах текст цены на иконки -----------*/
/*
// Найти элемент с классом "tech_partner"
var techPartnerElement = document.querySelector('.tech_partner');
var infoPartnerElement = document.querySelector('.info_partner');

// Проверить, что элемент найден
if (techPartnerElement) {
  // Найти элемент с классом "ult_price_figure" внутри "tech_partner"
  var ultPriceFigureElement = techPartnerElement.querySelector('.ult_price_figure');
}
if (infoPartnerElement) {
  var ultInfoFigureElement = infoPartnerElement.querySelector('.ult_price_figure');
}
  // Проверить, что элемент найден
  if (ultPriceFigureElement) {
// Вставить HTML код в элемент
      ultPriceFigureElement.innerHTML = '<i class="Defaults-cogs gears" style="color: #42B0F5;"></i>';
}
  if (ultInfoFigureElement) {
// Вставить HTML код в элемент
      ultInfoFigureElement.innerHTML = '<i class="Defaults-bullhorn" style="color: #42B0F5;"></i>';
}
*/

